<?php
/* $header$ */

#   
function nc_blog_show_blogs($sub, $template="", $ignore_access="") {
global $db, $current_sub, $MODULE_VARS, $inside_admin;

	#  
	$sub = (int)$sub;
	if(!$sub) return false;
	if($ignore_access) {
		$ignore_access = (array)$ignore_access;
		$ignore_access = array_map("mysql_escape_string", $ignore_access);
	}
	$path = $db->get_var("SELECT Hidden_URL FROM Subdivision WHERE Subdivision_ID=".$sub."");

	$SQLres = $db->get_results("SELECT Subdivision_ID, Subdivision_Name, EnglishName FROM Subdivision
								WHERE Parent_Sub_ID=".$sub." AND Checked=1", ARRAY_A);
	if($SQLres) {
		#   
		foreach($SQLres AS $key => $value) {
			#   
			if($template) {
				unset($blog);
				#      
				if(strpos($template, "%BLOG_COUNT_MESSAGES"))
				$messCount = $db->get_var("SELECT COUNT(*) FROM Message".$MODULE_VARS['blog']['BLOG_MESSAGES_CLASS_ID']."
										   WHERE Subdivision_ID=".$value['Subdivision_ID'].($ignore_access ? " AND Access NOT IN (".join(",", $ignore_access).")" : "") );
				#  
				if(!$inside_admin) {
					$blog = str_replace("%BLOG_LINK", $path.$value['EnglishName']."/", $template); 
				}
				else {
					$blog = str_replace("%BLOG_LINK", $admin_url_prefix."?catalogue=".$value['Catalogue_ID']."&amp;sub=".$value['Subdivision_ID']."", $template);
				}
				$blog = str_replace("%BLOG_NAME", $value['Subdivision_Name'], $blog);
				$blog = str_replace("%BLOG_COUNT_MESSAGES", $messCount, $blog);
				$result[] = $blog;
			}
			#    manual programming
			$result_array[] = array("Subdivision_ID" => $value['Subdivision_ID'],
								    "Subdivision_Name" => $value['Subdivision_Name'],
									"EnglishName" => $value['EnglishName'],
									"Count" => $messCount);
		}
	}
#       ,  	
return array($result, $result_array);
}

#     ,   
function nc_blog_redirect($url, $text="", $redirection=false) {
global $template_footer;

	if($redirection) {
		ob_end_clean();
		header("Location: $url");
	}
	if(!$text) {
		eval("\$endHtml = \"$template_footer\";");
		$text = "<a href='$url'>".NETCAT_MODERATION_BACKTOSECTION."</a>".$endHtml;
	}
	else 
		$text = str_replace("%URL", $url, $text);
	#  
	die(eval("echo \$text;"));

return false;
}

#       
/*
           ,  1.
 $inc     . 
*/
function nc_blog_get_blogtype($paramName, $inc="", $sub="", $cc="") {
global $db, $parent_sub_tree, $MODULE_VARS;

	if($sub) {
		$sub = (int)$sub;
		$subName = $db->get_var("SELECT Subdivision_Name FROM Subdivision WHERE Subdivision_ID=".$sub."");
	}
	elseif(!$cc) {
		$sub = (int)$parent_sub_tree[($inc ? $inc : 0)]['Subdivision_ID'];
		### $subName = $db->escape($parent_sub_tree[($inc ? $inc : 0)]['EnglishName']);
	}
	elseif($cc) {
		$cc = (int)$cc;
	}
	#  Sub_Class_ID
	if($sub && !$cc) {
		$SubClassID = $db->get_var("SELECT Sub_Class_ID FROM Sub_Class WHERE Subdivision_ID=".$sub." AND Class_ID=".$MODULE_VARS['blog']['BLOG_CLASS_ID'].""); ### EnglishName='".$subName."'");
	}
	elseif($cc) {
		$SubClassID = $cc;
	}

	#    
	if(!$SubClassID) return false;
	#     	
	$value = $db->get_var("SELECT CustomSettings FROM Sub_Class WHERE Sub_Class_ID='".$SubClassID."'");
	if($value) eval("\$paramArray = $value;");
	if($paramArray) {
		$blogType = $paramArray[$paramName];
	}
	else {
		$value = $db->get_var("SELECT CustomSettingsTemplate FROM Class WHERE Class_ID=".$MODULE_VARS['blog']['BLOG_CLASS_ID']."");
		if($value) {
			eval("\$mainArray = $value;");
			$blogType = $mainArray['BlogType']['default_value'];
		}
	}

return $blogType;
}

#     
function nc_blog_check_name($sub, $blogName) {
global $db;

	$sub = (int)$sub;
	$blogName = $db->escape($blogName);
	
	if(!$sub || !$blogName) return false;
	
	#   
	$subID = $db->get_var("SELECT Subdivision_ID FROM Subdivision
							WHERE (EnglishName='".$blogName."' OR Hidden_URL='/".$blogName."/') AND Parent_Sub_ID=".$sub."");

return $subID;
}

#      
function nc_blog_user_permission($sub="", $cc="") {
global $db, $current_user, $current_sub, $current_cc, $MODULE_VARS;

	# 
	$sub = (int)$sub;
	$cc = (int)$cc;
	if(!$sub && !$cc) {
		$sub = $current_sub['Subdivision_ID'];
		$cc = $current_cc['Sub_Class_ID'];
	}
	$user = $current_user['User_ID'];
	$usersPermissions = $MODULE_VARS['blog']['BLOG_USER_PERMISSION'];
	$moderPermissions = $MODULE_VARS['blog']['BLOG_MODERATOR_PERMISSION'];
	$adminPermissions = $MODULE_VARS['blog']['BLOG_ADMIN_PERMISSION'];
	
	if(!$user || !$sub || !$cc) return false;

	# 
	$ExistAdmin = $db->get_var("SELECT Permission_ID FROM Permission WHERE User_ID=".$user."
								AND (AdminType=3 AND Catalogue_ID=".$sub.") AND PermissionSet=".$adminPermissions."");
	# 						
	if(!$ExistAdmin) {
		$ExistModer = $db->get_var("SELECT Permission_ID FROM Permission WHERE User_ID=".$user."
									AND (AdminType=9 AND Catalogue_ID=".$cc.") AND PermissionSet=".$moderPermissions."");
	}
	#      
	if(!$ExistAdmin && !$ExistModer) {
		$ExistUser = $db->get_var("SELECT Permission_ID FROM Permission WHERE User_ID=".$user."
								   AND (AdminType=9 AND Catalogue_ID=".$cc.") AND PermissionSet=".$usersPermissions."");
	}

return ($ExistAdmin ? "a" : ($ExistModer ? "m" : ($ExistUser ? "u" : false)));							
}

# is this user my friend? I - current user!
function nc_blog_is_friend($friendID) {
global $db, $current_user, $parent_sub_tree, $MODULE_VARS;

	$friendID = (int)$friendID;
	$userID = $current_user['User_ID'];
	$parentSub = $parent_sub_tree[1]['Subdivision_ID'];

	#       
	$subdivisions = $db->get_col("SELECT Subdivision_ID FROM Subdivision WHERE Parent_Sub_ID='".$parentSub."'");
	if($subdivisions)
	$usersub = $db->get_var("SELECT Catalogue_ID FROM Permission
						     WHERE User_ID='".$userID."'
						     AND AdminType=3
						     AND PermissionSet='".$MODULE_VARS['blog']['BLOG_ADMIN_PERMISSION']."'
						     AND Catalogue_ID IN (".join(",", $subdivisions).")");
	
	if($usersub) $usercc = $db->get_var("SELECT Sub_Class_ID FROM Sub_Class WHERE Subdivision_ID=".$usersub." AND EnglishName='users'");

	if($usercc) $ConUsers = $db->get_col("SELECT User_ID FROM Message".$MODULE_VARS['blog']['BLOG_MESSAGES_USERS_CLASS_ID']."
							  WHERE Subdivision_ID=".$usersub." AND Sub_Class_ID=".$usercc."");
							  
	if($ConUsers) {
		$ConUsers = (array)$ConUsers;
		if(in_array($friendID, $ConUsers)) $result = true; else $result = false; 
	}
							  
return $result;
}

#   
/*
1 - 
2 - 
3 -  ()
4 - 
*/
function nc_blog_addrop_user($sub, $cc, $userID, $action, $permision="") {
global $db, $current_user, $MODULE_VARS;

	# 
	$sub = (int)$sub;
	$cc = (int)$cc;
	$userID = (int)$userID;
	$date = date('Y-m-d H:i:s');
	$usersPermissions = $MODULE_VARS['blog']['BLOG_USER_PERMISSION'];
	$moderPermissions = $MODULE_VARS['blog']['BLOG_MODERATOR_PERMISSION'];
	$adminPermissions = $MODULE_VARS['blog']['BLOG_ADMIN_PERMISSION'];
	if($permision && in_array($permision, array(1,2,3,4)) )
		$permision = (int)$permision; 
	else
		$permision = 1;
			
	$userName = $db->get_var("SELECT Login FROM User WHERE User_ID=".$userID."");
	
	#        
	$res = $db->get_row("SELECT Message_ID, Permission FROM Message".$MODULE_VARS['blog']['BLOG_MESSAGES_USERS_CLASS_ID']."
							   WHERE Subdivision_ID=".$sub." AND Sub_Class_ID=".$cc."
							   AND Name='".$userName."'", ARRAY_A);
	
	$userExist = $res['Message_ID'];
	$userPerm = $res['Permission'];
	
	if($userPerm==4) return false;
	# 
	if(!$userExist && $action=="add") {
		$blogName = $db->get_var("SELECT EnglishName FROM Subdivision WHERE Subdivision_ID=".$sub."");
		$blogcc = $db->get_var("SELECT Sub_Class_ID FROM Sub_Class WHERE Subdivision_ID=".$sub." AND EnglishName='".$blogName."'");
		$editcc = $db->get_var("SELECT Sub_Class_ID FROM Sub_Class WHERE Subdivision_ID=".$sub." AND EnglishName='edit'");
		#     Permission,        
		$db->query("INSERT INTO Permission
					(User_ID, AdminType, Catalogue_ID, PermissionSet, PermissionGroup_ID)
					VALUES
					(".$userID.", 9, ".$blogcc.", ".$usersPermissions.", 0),
					(".$userID.", 9, ".$editcc.", ".$usersPermissions.", 0)");
		#      
		$db->query("INSERT INTO Message".$MODULE_VARS['blog']['BLOG_MESSAGES_USERS_CLASS_ID']."
					(User_ID, Subdivision_ID, Sub_Class_ID, Checked, Created, LastUpdated, Name, Permission)
					VALUES
					(".$userID.", ".$sub.", ".$cc.", 1, '".$date."', '".$date."', '".$userName."', ".$permision.")");
		#  ID  
		$result = $db->insert_id;
	}
	elseif($userExist && $action=="add") {
		#       
		nc_blog_users_settings($sub, array($userExist => $permision), false);
		$result = true;
	}
	elseif($userExist && $action=="drop") {
		#        (   )
		nc_blog_users_settings($sub, array($userExist => $permision), array($userExist => true));
		$result = true;
	}

return $result;
}

# heavy brain killer function
#      
function nc_blog_users_settings($sub, $f_Permission, $f_Delete) {
global $db, $MODULE_VARS;

	#   
	$blogType = nc_blog_get_blogtype("BlogType", 1);
	$usersPermissions = $MODULE_VARS['blog']['BLOG_USER_PERMISSION'];
	$moderPermissions = $MODULE_VARS['blog']['BLOG_MODERATOR_PERMISSION'];
	$adminPermissions = $MODULE_VARS['blog']['BLOG_ADMIN_PERMISSION'];
	$blogName = $db->get_var("SELECT EnglishName FROM Subdivision WHERE Subdivision_ID=".$sub."");
	$blogcc = $db->get_var("SELECT Sub_Class_ID FROM Sub_Class WHERE Subdivision_ID=".$sub." AND EnglishName='".$blogName."'");
	$editcc = $db->get_var("SELECT Sub_Class_ID FROM Sub_Class WHERE Subdivision_ID=".$sub." AND EnglishName='edit'");
	
	#       ,  
	$keys = array_keys((array)$f_Permission);
	if($keys) {
		$keys_array= array();
		foreach($keys AS $value) {$keys_array[] = "Message_ID=".$value;}
		$key_str = join(" OR ", $keys_array);
		$SQLres = $db->get_results("SELECT User_ID, Name, Permission, Message_ID
									FROM Message".$MODULE_VARS['blog']['BLOG_MESSAGES_USERS_CLASS_ID']."
									WHERE (".$key_str.") AND Subdivision_ID=".$sub."", ARRAY_A);
		#     
		$actual = array();
		if($SQLres)
		foreach($SQLres AS $value) {
			$actual[$value['Message_ID']] = array("ID" => $value['User_ID'], "Name" => $value['Name'], "Permission" => $value['Permission']);
		}

		foreach($f_Permission AS $key => $value) {
		# 
		$key = (int)$key;
		$value = (int)$value;	
		$_user_ID = $actual[$key]['ID'];
		$_user_name = $actual[$key]['Name'];
		$_permission = $actual[$key]['Permission'];
		
			if(!$f_Delete[$key]) {
				#      ,    
				if( ($blogType=="personal" && $value==1) || ($blogType=="collective" && $value!=1) ) {
					
					#    ,   	
					if( $_permission!=$value ) {
						$db->query("UPDATE Message".$MODULE_VARS['blog']['BLOG_MESSAGES_USERS_CLASS_ID']."
							    SET Permission=".$value."
							    WHERE Message_ID=".$key." AND Subdivision_ID=".$sub."");
						#    ,      Permission
						#       
						$curr_permission_ID = $db->get_col("SELECT Permission_ID FROM Permission
										    WHERE User_ID=".$_user_ID." AND AdminType=9 AND (Catalogue_ID=".$blogcc." OR Catalogue_ID=".$editcc.")
										    AND PermissionSet=".($_permission==2 ? $usersPermissions : ($_permission==3 ? $moderPermissions : "") )."");
	
						if($curr_permission_ID) {
							#     -       
							if($value==4) {
								$db->query("DELETE FROM Permission WHERE Permission_ID IN (".$curr_permission_ID[0].",".$curr_permission_ID[1].")");
							}
							else {
								$db->query("UPDATE Permission SET PermissionSet=".($value==2 ? $usersPermissions : ($value==3 ? $moderPermissions : "") )."
											WHERE Permission_ID IN (".$curr_permission_ID[0].",".$curr_permission_ID[1].")");
							}
							
						}
					}
				}
			}
			else {
				#       
				$db->query("DELETE FROM Message".$MODULE_VARS['blog']['BLOG_MESSAGES_USERS_CLASS_ID']."
							WHERE Message_ID=".$key." AND Subdivision_ID=".$sub."");
				#   Permission,    , ..     -  )))
				if($blogType=="collective" && $value!=1) {
					#       
					$curr_permission_ID = $db->get_col("SELECT Permission_ID FROM Permission
									    				   WHERE User_ID=".$_user_ID." AND AdminType=9 AND (Catalogue_ID=".$blogcc." OR Catalogue_ID=".$editcc.")
									    				   AND PermissionSet=".($_permission==2 ? $usersPermissions : ($_permission==3 ? $moderPermissions : "") )."");
					#     Permission
					$db->query("DELETE FROM Permission WHERE Permission_ID IN (".$curr_permission_ID[0].",".$curr_permission_ID[1].")");
				}
			}
		}
	}
	else return false;
	
return true;
}

#   
function nc_blog_create_blog($sub, $catalogue, $Hidden_URL,  $subName, $blogName, $blogType) {
global $db, $current_user, $MODULE_VARS;
	
	# 
	$usersPermissions = $MODULE_VARS['blog']['BLOG_USER_PERMISSION'];
	$moderPermissions = $MODULE_VARS['blog']['BLOG_MODERATOR_PERMISSION'];
	$adminPermissions = $MODULE_VARS['blog']['BLOG_ADMIN_PERMISSION'];
	#     settings  users  - 
	$hiddenSubPermissions = 3;
	$error = false;
	$errorBackUp = array();	
	$sub = (int)$sub;
	$catalogue = (int)$catalogue;
	$Hidden_URL = mysql_escape_string($Hidden_URL);
	$blogName = mysql_escape_string($blogName);
	$subName = mysql_escape_string($subName);
	$date = date('Y-m-d H:i:s');

	#   ,       
	$blogType = nc_blog_get_blogtype("BlogType", 0);
	if(!$blogType) return $error = true;
	
#  	
	#  
	$db->query("INSERT INTO Subdivision
				(Catalogue_ID, Parent_Sub_ID, Subdivision_Name, Template_ID, ExternalURL, EnglishName, LastUpdated, Created, Hidden_URL, Read_Access_ID, Write_Access_ID, Priority, Checked, Edit_Access_ID, Subscribe_Access_ID, img, Pic, Description, Keywords)
				VALUES 
				(".$catalogue.", ".$sub.", '".$blogName."', 0, '', '".$blogName."', '".$date."', '".$date."', '".$Hidden_URL.$blogName."/', 0, 0, 0, 1, 0, 0, '', '', '', '')");
	#  ID  
	$subID = $db->insert_id;
	if(!$subID) $error = true;
	else $errorBackUp[] = "DELETE FROM Subdivision WHERE Subdivision_ID=".$subID."";
	
	if(!$error) {
		#  
		$Sub_Class_Name = $db->get_var("SELECT Class_Name FROM Class WHERE Class_ID=".$MODULE_VARS['blog']['BLOG_MESSAGES_CLASS_ID']."");
		#   
		$db->query("INSERT INTO Sub_Class
				(Subdivision_ID, Class_ID, Sub_Class_Name, Priority, EnglishName, Checked, Catalogue_ID, AllowTags, Created, LastUpdated, DefaultAction, NL2BR, UseCaptcha, CustomSettings)
				VALUES 
				(".$subID.", ".$MODULE_VARS['blog']['BLOG_MESSAGES_CLASS_ID'].", '".$Sub_Class_Name."', 0, '".$blogName."', 1, ".$catalogue.", -1, '".$date."', '".$date."', 'index', -1, -1, '')");
		#  ID  "  "
		$ccID = $db->insert_id;
		if(!$ccID) $error = true;	
		else $errorBackUp[] = "DELETE FROM Sub_Class WHERE Sub_Class_ID=".$ccID."";
		
		#        
		$db->query("INSERT INTO Sub_Class
				(Subdivision_ID, Class_ID, Sub_Class_Name, Priority, EnglishName, Checked, Catalogue_ID, AllowTags, Created, LastUpdated, DefaultAction, NL2BR, UseCaptcha, CustomSettings, Read_Access_ID, Write_Access_ID, Edit_Access_ID, Subscribe_Access_ID)
				VALUES 
				(".$subID.", ".$MODULE_VARS['blog']['BLOG_MESSAGES_CLASS_ID'].", ' ', 1, 'edit', 1, ".$catalogue.", -1, '".$date."', '".$date."', 'add', -1, -1, '', ".$hiddenSubPermissions.", ".$hiddenSubPermissions.", ".$hiddenSubPermissions.", ".$hiddenSubPermissions.")");
		#  ID  "  "
		$cc2ID = $db->insert_id;
		if(!$cc2ID) $error = true;	
		else $errorBackUp[] = "DELETE FROM Sub_Class WHERE Sub_Class_ID=".$cc2ID."";
		
		#   
		$db->query("INSERT INTO Sub_Class
				(Subdivision_ID, Class_ID, Sub_Class_Name, Priority, EnglishName, Checked, Catalogue_ID, AllowTags, Created, LastUpdated, DefaultAction, NL2BR, UseCaptcha, CustomSettings, Read_Access_ID, Write_Access_ID, Edit_Access_ID, Subscribe_Access_ID)
				VALUES 
				(".$subID.", ".$MODULE_VARS['blog']['BLOG_MESSAGES_USERS_CLASS_ID'].", '', 2, 'users', 1, ".$catalogue.", -1, '".$date."', '".$date."', 'index', -1, -1, '', ".$hiddenSubPermissions.", ".$hiddenSubPermissions.", ".$hiddenSubPermissions.", ".$hiddenSubPermissions.")");
		#  ID  "  " 
		$cc3ID = $db->insert_id;
		if(!$cc3ID) $error = true;	
		else $errorBackUp[] = "DELETE FROM Sub_Class WHERE Sub_Class_ID=".$cc3ID."";
		
		#   
		$db->query("INSERT INTO Sub_Class
				(Subdivision_ID, Class_ID, Sub_Class_Name, Priority, EnglishName, Checked, Catalogue_ID, AllowTags, Created, LastUpdated, DefaultAction, NL2BR, UseCaptcha, CustomSettings, Read_Access_ID, Write_Access_ID, Edit_Access_ID, Subscribe_Access_ID)
				VALUES 
				(".$subID.", ".$MODULE_VARS['blog']['BLOG_MESSAGES_SETTINGS_CLASS_ID'].", '', 3, 'settings', 1, ".$catalogue.", -1, '".$date."', '".$date."', 'index', -1, -1, '', ".$hiddenSubPermissions.", ".$hiddenSubPermissions.", ".$hiddenSubPermissions.", ".$hiddenSubPermissions.")");
		#  ID  "  " 
		$cc4ID = $db->insert_id;
		if(!$cc4ID) $error = true;	
		else $errorBackUp[] = "DELETE FROM Sub_Class WHERE Sub_Class_ID=".$cc4ID."";
	}

	#   	
	if(!$error) {
		if($blogType=="personal") {
			#    
			$ExistWritePermission = $db->get_var("SELECT Permission_ID FROM Permission
											       WHERE User_ID=".$current_user['User_ID']."
											       AND AdminType=3 AND Catalogue_ID=".$subID." AND PermissionSet=".$adminPermissions."");
			if(!$ExistWritePermission)
			$db->query("INSERT INTO Permission
						(User_ID, AdminType, Catalogue_ID, PermissionSet, PermissionGroup_ID)
						VALUES
						(".$current_user['User_ID'].", 3, ".$subID.", ".$adminPermissions.", 0)");
			#  ID  
			$message_ID = $db->insert_id;
			if(!$message_ID) $error = true;	
			else $errorBackUp[] = "DELETE FROM Permission WHERE Permission_ID=".$message_ID."";
		}
		elseif($blogType=="collective") {
			#    
			$ExistWritePermission = $db->get_var("SELECT Permission_ID FROM Permission
												  WHERE User_ID=".$current_user['User_ID']."
												  AND AdminType=3 AND Catalogue_ID=".$subID." AND PermissionSet=".$adminPermissions."");
			if(!$ExistWritePermission)
			$db->query("INSERT INTO Permission
						(User_ID, AdminType, Catalogue_ID, PermissionSet, PermissionGroup_ID)
						VALUES
						(".$current_user['User_ID'].", 3, ".$subID.", ".$adminPermissions.", 0)");
			#  ID  
			$message_ID = $db->insert_id;
			if(!$message_ID) $error = true;	
			else $errorBackUp[] = "DELETE FROM Permission WHERE Permission_ID=".$message_ID."";
		}
	}

	#    -  
	if($error && $errorBackUp) nc_blog_backup($errorBackUp);

return $error;
}

#      (   )
function nc_blog_visual_settings($sub, $template_header="", $template_object="", $template_footer="", $CustomSettings="") {
global $db, $current_sub, $admin_mode;

	#     
	require_once($GLOBALS['ADMIN_FOLDER']."array_to_form.inc.php");

	# Subdivision_ID   
	$parentSub = (int)$current_sub['Subdivision_ID'];
	$parentSubName =  $current_sub['EnglishName'];
	#     
	$res = $db->get_row("SELECT Sub_Class_ID, Class_ID FROM Sub_Class WHERE Subdivision_ID=".$parentSub." AND EnglishName='".$parentSubName."'", ARRAY_A);
	# 
	$ClassID = (int)$res['Class_ID'];
	$SubClassID = (int)$res['Sub_Class_ID'];

	#  
	$settings = $db->get_var("SELECT CustomSettingsTemplate FROM Class WHERE Class_ID=".$ClassID."");
	if($settings) eval("\$settings_array = $settings;");
	
	#     
	if($CustomSettings) {
		### DANGER ###
		$CustomSettings = str_replace("\\", "", $CustomSettings); //array("/","\\")
		$CustomSettings = array_map("mysql_escape_string", $CustomSettings);
		$CustomSettings = array_map("strip_tags", $CustomSettings);
		$array_form = new nc_a2f($settings_array, $CustomSettings, 'CustomSettings'); #_info: $CustomSettings, 'CustomSettings'
		$updated_values = $array_form->get_values_as_string();
		if($updated_values) {
			$db->query("UPDATE Sub_Class SET CustomSettings='".$db->escape($updated_values)."' WHERE Sub_Class_ID=".$SubClassID."");
			$result = true;
			#  
			if($CustomSettings['BlogTitle']) {
				$db->query("UPDATE Subdivision SET Subdivision_Name='".$db->escape($CustomSettings['BlogTitle'])."'
							WHERE Subdivision_ID=".$parentSub."");
			}
		}
	}
	else {	
		#  
		$values = $db->get_var("SELECT CustomSettings FROM Sub_Class WHERE Sub_Class_ID=".$SubClassID."");
		if($values) eval("\$values_array = $values;");
		
		$array_form = new nc_a2f($settings_array, $values_array, 'CustomSettings'); #_info: 'CustomSettings'
		#    
		$VisualForm = $array_form->render($template_header, $template_object, $template_footer);
	}

return $VisualForm;
}

# simple back up optional function, restore MySQL to prev. status, step-by-step use back up array
function nc_blog_backup($errorBackUp) {
global $db;
	# back up if array exist
	if($errorBackUp) {
		foreach($errorBackUp AS $query) {
			$db->query(mysql_escape_string($query));
		}
	return true;
	}
# if array not exist
return false;
}
?>
