<?
/* $Id: index.php,v 1.62 2007/11/30 15:55:04 vadim Exp $ */

require("function.inc.php");

?>

<html>

<head>
   <meta http-equiv='Content-Type' content='text/html; charset=windows-1251'>
   <title><?=($title?$title:"NetCat ".BEGINHTML_VERSION." $VERSION_ID $SYSTEM_NAME")?></title>
   <link rel='stylesheet' type='text/css' media='screen' href='skins/default/css/main.css'>
   <script type='text/javascript' language='Javascript'>
     var NETCAT_PATH = '/netcat/',
         ADMIN_PATH = '/netcat/admin/',
         ICON_PATH = '/netcat/admin/skins/default/img/';
   </script>
   <script type='text/javascript' src='js/lib.js'></script>
   <script type='text/javascript' src='js/container.js'></script>
   <script type='text/javascript' src='js/dispatcher.js'></script>
   <script type='text/javascript' src='js/url_routes.js'></script>
<?php
     // MODULE URL DISPATCHERS
     $modules = $db->get_results("SELECT Keyword, Module_Name FROM Module ORDER BY Keyword", ARRAY_A);
//ADMIN_LANGUAGE
     foreach ($modules as $module) {
       if (file_exists($MODULE_FOLDER.$module['Keyword']."/".MAIN_LANG.".lang.php")) {
         require_once($MODULE_FOLDER.$module['Keyword']."/".MAIN_LANG.".lang.php");
       } else {
         require_once($MODULE_FOLDER.$module['Keyword']."/en.lang.php");
       }
       if (file_exists($MODULE_FOLDER.$module['Keyword']."/url_routes.js")) {
         echo "   <script type='text/javascript' src='../modules/".$module['Keyword']."/url_routes.js'></script>\n";
       }
     }
     include($ADMIN_FOLDER."modules/module_list.inc.php");
?>
   <script type='text/javascript' src='js/main_view.js'></script>
   <script type='text/javascript' src='js/drag.js'></script>
   <script type='text/javascript' src='js/forms.js'></script>
</head>


<body>

<table id='wrapperTable' width='100%' height='100%' border='0' cellpadding='0' cellspacing='0' border='0'>

<tr id='trDummyTop' height='0' class='top_row'>
   <td id='topLeftPane' width='25%'></td>
   <td width='7'></td>
   <td id='topMainContainer' width='75%'></td>
</tr>

<tr id='trHeader' valign='top' height='43'>
   <td id='topHeader' colspan='3' width='100%'>
      <table width='100%' border='0' cellpadding='0' cellspacing='0'>
        <tr valign='middle'>
          <td id='netCatLogo'><a href='#'><img src='skins/default/img/logo_netcat.gif' alt='NetCat <?=BEGINHTML_VERSION?> <?=$VERSION_ID?> <?=$SYSTEM_NAME?>' width='108' height='17' border='0'></a><br><span class='system_version'><?=BEGINHTML_VERSION?> <b><?=$VERSION_ID?></b></span> <span class='system_type_<?=$SYSTEM_ID?>'><?=$SYSTEM_NAME?></span></td>
          <td>&nbsp;</td>
          <td id='systemLogOut'>
            <div id='currentUser'><nobr>
            <?
            print "<b>".$perm->getLogin()."</b>";
            if ($perm->isGuest())
            {
                print " (".BEGINHTML_PERM_GUEST.")";
            }
            else if ($perm->isDirector())
            {
                print " (".BEGINHTML_PERM_DIRECTOR.")";
            }
            else if ($perm->isSupervisor())
            {
                print " (".BEGINHTML_PERM_SUPERVISOR.")";
            }
            else if ($perm->isAnyCatalogueAdmin())
            {
                print " (".BEGINHTML_PERM_CATALOGUEADMIN.")";
            }
            else if ($perm->isAnySubdivisionAdmin())
            {
                print " (".BEGINHTML_PERM_SUBDIVISIONADMIN.")";
            }
            else if ($perm->isAnySubClassAdmin())
            {
                print " (".BEGINHTML_PERM_SUBCLASSADMIN.")";
            }
           ?>
           </nobr></div>
           <a href='/netcat/admin/unauth.php'><?=BEGINHTML_LOGOUT?> <img src='skins/default/img/i_logout.gif' alt='<?=BEGINHTML_LOGOUT?>' width='12' height='14' border='0'></a></td>
        </tr>
      </table>
   </td>
</tr>

<tr id='trMainMenu' valign='top' height='22'>
   <td id='mainMenuContainer' colspan='3' height='22'>
      <div id='mainMenuRight'>
        <?
           //    LoadSettings() :
           // $LAST_LOCAL_PATCH, $LAST_PATCH, $ANY_SYSTEM_MESSAGE

           if ($LAST_LOCAL_PATCH < $LAST_PATCH) {
             $upd_alt = BEGINHTML_ALARMPATCH;
             $upd_img = 'i_update_active.gif';
           }
           else {
             $upd_alt = BEGINHTML_ALARMPATCHOFF;
             $upd_img = 'i_update.gif';
           }

           if ($ANY_SYSTEM_MESSAGE) {
             $msg_alt = BEGINHTML_ALARMON;
             $msg_img = 'i_sysmsg_active.gif';
           }
           else {
             $msg_alt = BEGINHTML_ALARMOFF;
             $msg_img = 'i_sysmsg.gif';
           }

        ?>
         <div
           id='mainMenuUpdate'><a href='#tools.patch' title='<?=$upd_alt ?>'><img src='skins/default/img/<?=$upd_img ?>' alt='<?=$upd_alt ?>' width='10' height='12' border='0'></a></div><div
           id='mainMenuMessages'><a href='#tools.systemmessages' title='<?=$msg_alt ?>'><img src='skins/default/img/<?=$msg_img ?>' alt='<?=$msg_alt ?>' width='12' height='12' border='0'></a></div>
      </div>
      <div id='mainMenuLeft'>
         <ul id='mainMenu'>
<?

$is_supervisor = ($perm->isSupervisor() || $perm->isManager());

$security_limit = "";

if (!$is_supervisor) { // /  , :
  /**
    * id ,    
    */
  $site_admin = $perm->listItems('catalogue');
  /**
    * id ,    
    */
  $sub_admin = $perm->listItems('subdivision');
  /**
    * id   ,    
    */
  $cc_admin = $perm->listItems('subclass');

  /**
    * id ,    (  $site_admin,
    * $sub_admin, $cc_admin)
    */
  $allowed_sites = array();

  if ($site_admin) { $allowed_sites = $site_admin; }

  if ($sub_admin) {
    $res = $db->get_results("SELECT Catalogue_ID FROM Subdivision
                               WHERE Subdivision_ID IN (".join(', ', $sub_admin).")", ARRAY_A);
    foreach ((array)$res as $row) {
      $allowed_sites[] = $row['Catalogue_ID'];
    }
  }
  if ($cc_admin) {
    $res = $db->get_results("SELECT Catalogue_ID FROM Sub_Class
                             WHERE Sub_Class_ID IN (".join(', ', $cc_admin).")", ARRAY_A);
    foreach ((array)$res as $row) {
      $allowed_sites[] = $row['Catalogue_ID'];
    }
  }
  $security_limit = " WHERE Catalogue_ID IN (".join(",", array_unique($allowed_sites)).")";
}


/**
  *   
  */
$sites = $db->get_results("SELECT Catalogue_ID, Catalogue_Name, Domain, Mirrors, Checked
                             FROM Catalogue
                           $security_limit
                         ORDER BY Priority ", ARRAY_A);

print "<li><a href='#'>".SECTION_INDEX_MENU_SITE."</a>
         <ul>";

if ($sites) {
  foreach ($sites as $site) {
    if ($site['Checked']) {
      $image = 'i_site.gif';
    } else {
      $image = 'i_site_disabled.gif';
    }
    print "<li><a href='#site.map(".$site['Catalogue_ID'].")'><img src='skins/default/img/$image' alt='".$site['Catalogue_Name']."' width='16' height='16'>".$site['Catalogue_Name']."</a>";
  }
}

if ($is_supervisor) {
  if ($sites) print "<li class='separator'></li>";
  print "<li><a href='#site.add()'><img src='skins/default/img/i_site_add.gif' alt='".$site['Catalogue_Name']."' width='16' height='16'>".CONTROL_CONTENT_CATALOUGE_FUNCS_SHOWCATALOGUELIST_ADDSITE."</a>
         <li class='separator'></li>
         <li><a href='#site.wizard(1,0)'><img src='skins/default/img/i_site_wizard.gif' alt='".SECTION_INDEX_WIZARD_SUBMENU_SITE."' width='16' height='16'>".SECTION_INDEX_WIZARD_SUBMENU_SITE."</a>";	
}


print "  </ul>
       </li>";

if (!$is_supervisor) {
  $favorites_site = array();
  $favorites_sub = array();
  $favorites_cc = array();
  if ($site_admin) {
    $favorites_site = $db->get_results("SELECT sub.Subdivision_ID,
                                               sub.Subdivision_Name,
                                               sub.Catalogue_ID,
                                               catalogue.Catalogue_Name,
                                               sub.Checked AS SubChecked,
                                               catalogue.Checked AS CatalogueChecked
                                          FROM Subdivision AS sub
                                     LEFT JOIN Catalogue AS catalogue ON catalogue.Catalogue_ID = sub.Catalogue_ID
                                         WHERE Favorite = '1'
                                           AND Catalogue_ID IN (".join(",", $site_admin).")
                                      ORDER BY Catalogue_ID,
                                               Subdivision_ID", ARRAY_A);
  }
  if ($sub_admin) {
    $favorites_sub = $db->get_results("SELECT sub.Subdivision_ID,
                                              sub.Subdivision_Name,
                                              sub.Catalogue_ID,
                                              catalogue.Catalogue_Name,
                                              sub.Checked AS SubChecked,
                                              catalogue.Checked AS CatalogueChecked
                                         FROM Subdivision AS sub
                                    LEFT JOIN Catalogue AS catalogue ON catalogue.Catalogue_ID = sub.Catalogue_ID
                                        WHERE Favorite = '1' AND
                                              Subdivision_ID IN (".join(', ', $sub_admin).")
                                     ORDER BY Catalogue_ID,
                                              Subdivision_ID", ARRAY_A);
  }
  if ($cc_admin) {
    $favorites_cc = $db->get_results("SELECT sub.Subdivision_ID,
                                             sub.Subdivision_Name,
                                             sub.Catalogue_ID,
                                             catalogue.Catalogue_Name,
                                             sub.Checked AS SubChecked,
                                             catalogue.Checked AS CatalogueChecked
                                        FROM Sub_Class as cc
                                   LEFT JOIN Subdivision as sub ON sub.Subdivision_ID = cc.Subdivision_ID
                                   LEFT JOIN Catalogue AS catalogue ON catalogue.Catalogue_ID = sub.Catalogue_ID
                                       WHERE Favorite = '1' AND
                                             cc.Sub_Class_ID IN (".join(', ', $cc_admin).")
                                    ORDER BY Catalogue_ID,
                                             Subdivision_ID", ARRAY_A);
  }
  $favorites = array_merge((array)$favorites_site, (array)$favorites_sub, (array)$favorites_cc);
} else {
  $favorites = $db->get_results("SELECT sub.Subdivision_ID,
                                        sub.Subdivision_Name,
                                        sub.Catalogue_ID,
                                        catalogue.Catalogue_Name,
                                        sub.Checked AS SubChecked,
                                        catalogue.Checked AS CatalogueChecked
                                   FROM Subdivision AS sub
                              LEFT JOIN Catalogue AS catalogue ON catalogue.Catalogue_ID = sub.Catalogue_ID
                                  WHERE sub.Favorite = '1'
                               ORDER BY Catalogue_ID,
                                        Subdivision_ID", ARRAY_A);
}

if ($favorites) {
  print"<li><a href='#'>".SECTION_INDEX_MENU_EDIT."</a>
          <ul>";

  $catalogue = '';
  foreach ($favorites as $favorite) {
    if ($catalogue != $favorite['Catalogue_ID']) {
      if ($favorite['CatalogueChecked']) {
        $image = 'i_site.gif';
      } else {
        $image = 'i_site_disabled.gif';
      }
      echo "<li class='separator'></li>\n";
      echo "<li><a href='#site.map(".$favorite['Catalogue_ID'].")'><img src='skins/default/img/$image' alt='".$favorite['Catalogue_Name']."' width='16' height='16'><b>".$favorite['Catalogue_Name']."</b></a>\n";
      echo "<li class='separator'></li>\n";
      $catalogue = $favorite['Catalogue_ID'];
      $count++;
    }
    $subclass_id = $db->get_var("SELECT Sub_Class_ID
                                   FROM Sub_Class
                                  WHERE Subdivision_ID = '".$favorite['Subdivision_ID']."'
                               ORDER BY Priority
                                  LIMIT 1");
    print "<li><a href='#".($subclass_id?"object.list($subclass_id)":"subclass.add(".$favorite['Subdivision_ID'].")")."'><img src='skins/default/img/i_folder".(!$favorite['SubChecked']?"_disabled":"").".gif' alt='".$favorite['Subdivision_Name']."' width='16' height='16'>".$favorite['Subdivision_Name']."</a>";
  }

  print "<li class='separator'></li>";
//  print "<li><a href='#favorite.other()'>".SECTION_INDEX_FAVORITE_ANOTHER_SUB."</a>";
//  print "<li><a href='#favorite.add()'>".SECTION_INDEX_FAVORITE_ADD."</a>";
  print "<li><a href='#favorite.list()'>".SECTION_INDEX_FAVORITE_LIST."</a>";
  print "</ul>
       </li>";
}

if ($perm->isSupervisor()) {
  print"<li><a href='#'>".SECTION_INDEX_MENU_DEVELOPMENT."</a>
          <ul>
            <li><a href='#dataclass.list'><img src='skins/default/img/i_classes.gif' alt='".SECTION_CONTROL_CLASS_LIST."' width='16' height='16'>".SECTION_CONTROL_CLASS_LIST."</a>
            <li><a href='#template.list'><img src='skins/default/img/i_templates.gif' alt='".SECTION_CONTROL_TEMPLATE_SHOW."' width='16' height='16'>".SECTION_CONTROL_TEMPLATE_SHOW."</a>
            <li><a href='#systemclass.list'><img src='skins/default/img/i_sysclasses.gif' alt='".SECTION_CONTROL_CLASS_LIST."' width='16' height='16'>".SECTION_SECTIONS_OPTIONS_SYSTEM."</a>
            <li><a href='#classificator.list'><img src='skins/default/img/i_classificators.gif' alt='".SECTION_CONTROL_CONTENT_CLASSIFICATOR."' width='16' height='16'>".SECTION_CONTROL_CONTENT_CLASSIFICATOR."</a>
            <li class='separator'></li>
            <li><a href='#dataclass.wizard(1,0,0)'><img src='skins/default/img/i_class_wizard.gif' alt='123".SECTION_INDEX_WIZARD_SUBMENU_CLASS."' width='16' height='16'>".SECTION_INDEX_WIZARD_SUBMENU_CLASS."</a>
          </ul>
        </li>";
}

if ($is_supervisor) {
  print "<li><a href='#'>".SECTION_INDEX_MENU_TOOLS."</a>
           <ul>";
  if (nc_deep_in_array('stats', $modules)) print "<li><a href='#module.stats'><img src='skins/default/img/i_module_stats.gif' alt='".NETCAT_MODULE_STATS."' width='16' height='16'>".NETCAT_MODULE_STATS."</a></li>";
  if (nc_deep_in_array('banner', $modules)) print "<li><a href='#module.banner'><img src='skins/default/img/i_module_banner.gif' alt='".NETCAT_MODULE_BANNER."' width='16' height='16'>".NETCAT_MODULE_BANNER."</a></li>";
  if (nc_deep_in_array('search', $modules)) print "<li><a href='#module.search(brokenlinks)'><img src='skins/default/img/i_module_search_brokenlinks.gif' alt='".NETCAT_MODULE_SERCH_ADMIN_BROKENLINKS."' width='16' height='16'>".NETCAT_MODULE_SERCH_ADMIN_BROKENLINKS."</a></li>";
  print "<li><a href='#tools.seo(".$HTTP_HOST.")'><img src='skins/default/img/i_tool_siteinfo.gif' alt='".NETCAT_SITEINFO_LINK."' width='16' height='16'>".NETCAT_SITEINFO_LINK."</a></li>";
  print "<li><a href='#user.mail'><img src='skins/default/img/i_sendmail.gif' alt='".SECTION_INDEX_USER_USER_MAIL."' width='16' height='16'>".SECTION_INDEX_USER_USER_MAIL."</a></li>
             <li class='separator'></li>
             <li><a href='#tools.sql'><img src='skins/default/img/i_tool_sql.gif' alt='".SECTION_SECTIONS_INSTRUMENTS_SQL."' width='16' height='16'>".SECTION_SECTIONS_INSTRUMENTS_SQL."</a>
             <li class='separator'></li>
             <li><a href='#tools.backup'><img src='skins/default/img/i_tool_backup.gif' alt='".SECTION_SECTIONS_MODDING_ARHIVES."' width='16' height='16'>".SECTION_SECTIONS_MODDING_ARHIVES."</a></li>
             <li><a href='#tools.patch'>".TOOLS_PATCH."</a></li>
             <li><a href='#tools.installmodule'>".TOOLS_MODULES_MOD_INSTALL."</a>
           </ul>
         </li>";
  print "<li><a href='#'>".SECTION_INDEX_MENU_SETTINGS."</a>
           <ul>
             <li><a href='#'><img src='skins/default/img/i_user.gif' alt='".SECTION_CONTROL_USER."' width='16' height='16'>".SECTION_CONTROL_USER."</a>
               <ul>
                 <li><a href='#usergroup.list'><img src='skins/default/img/i_usergroups.gif' alt='".SECTION_CONTROL_USER_GROUP."' width='16' height='16'>".SECTION_CONTROL_USER_GROUP."</a></li>
                 <li><a href='#user.list'><img src='skins/default/img/i_user.gif' alt='".SECTION_CONTROL_USER."' width='16' height='16'>".SECTION_CONTROL_USER."</a></li>
                 <li><a href='#user.add'><img src='skins/default/img/i_user_add.gif' alt='".CONTROL_USER_REG."' width='16' height='16'>".CONTROL_USER_REG."</a></li>
               </ul>
             </li>
             <li><a href='#system.settings'><img src='skins/default/img/i_settings.gif' alt='".SECTION_SECTIONS_OPTIONS."' width='16' height='16'>".SECTION_SECTIONS_OPTIONS."</a></li>";

  if ($modules) {
  	print "<li><a href='#module.list'><img src='skins/default/img/i_modules.gif' alt='".TOOLS_MODULES_LIST."' width='16' height='16'>".TOOLS_MODULES_LIST."</a>";
  	print "<li><a href='#'><img src='skins/default/img/i_modules.gif' alt='".TOOLS_MODULES_SETTINGS."' width='16' height='16'>".TOOLS_MODULES_SETTINGS."</a>
             <ul>";
  }
  foreach ($modules as $module) {
    $modImg = file_exists("skins/default/img/i_module_".$module['Keyword'].".gif") ? "i_module_".$module['Keyword'].".gif" : "i_modules.gif";
  	print "<li><a href='#module.settings(".$module['Keyword'].")'><img src='skins/default/img/".$modImg."' alt='".constant($module['Module_Name'])."' width='16' height='16'>".constant($module['Module_Name'])."</a>";
	unset($modImg);
  }
  if ($modules) {
  	print "</ul>";
  }
  print "    <li><a href='#cron.settings'><img src='skins/default/img/i_tool_cron.gif' alt='".SECTION_SECTIONS_INSTRUMENTS_CRON."' width='16' height='16'>".SECTION_SECTIONS_INSTRUMENTS_CRON."</a>
	     <li><a href='#redirect.settings'><img src='skins/default/img/i_tool_redirect.gif' alt='".TOOLS_REDIRECT."' width='16' height='16'>".TOOLS_REDIRECT."</a>
           </ul>
         </li>";
}

  print "<li><a href='#'>".SECTION_INDEX_MENU_HELP."</a>
           <ul>
             <li><a href='http://docs.netcat.ru/30/' target='_blank'><img src='skins/default/img/i_netcathelp.gif' alt='".SECTION_INDEX_HELP_SUBMENU_HELP."' width='16' height='16'>".SECTION_INDEX_HELP_SUBMENU_HELP."</a></li>
             <li><a href='http://netcat.ru/support/docs/' target='_blank'>".SECTION_INDEX_HELP_SUBMENU_DOC."</a></li>
             <li class='separator'></li>
             <li><a href='http://netcat.ru/forclients/helpdesk/' target='_blank'><img src='skins/default/img/i_helpdesk.gif' alt='".SECTION_INDEX_HELP_SUBMENU_HELPDESC."' width='16' height='16'>".SECTION_INDEX_HELP_SUBMENU_HELPDESC."</a></li>
             <li><a href='http://netcat.ru/support/ncforum/' target='_blank'>".SECTION_INDEX_HELP_SUBMENU_FORUM."</a></li>
             <li><a href='http://netcat.ru/dealers/knowledgebase/' target='_blank'>".SECTION_INDEX_HELP_SUBMENU_BASE."</a></li>
             <li class='separator'></li>
             <li><a href='#help.about'>".SECTION_INDEX_HELP_SUBMENU_ABOUT."</a></li>
           </ul>
         </li>";

/*
  print "<li><a href='#'>".SECTION_INDEX_MENU_HELP."</a>
           <ul>
             <li><a href='http://docs.netcat.ru/30/support/message/' target='_blank'><img src='skins/default/img/i_netcathelp.gif' alt='".SECTION_INDEX_HELP_SUBMENU_HELP."' width='16' height='16'>".SECTION_INDEX_HELP_SUBMENU_HELP."</a></li>
             <li><a href='http://netcat.ru/support/docs/' target='_blank'>".SECTION_INDEX_HELP_SUBMENU_DOC."</a></li>
             <li class='separator'></li>
             <li><a href='http://netcat.ru/forclients/helpdesk/' target='_blank'><img src='skins/default/img/i_helpdesk.gif' alt='".SECTION_INDEX_HELP_SUBMENU_HELPDESC."' width='16' height='16'>".SECTION_INDEX_HELP_SUBMENU_HELPDESC."</a></li>
             <li><a href='http://netcat.ru/support/ncforum/' target='_blank'>".SECTION_INDEX_HELP_SUBMENU_FORUM."</a></li>
             <li><a href='http://netcat.ru/dealers/knowledgebase/' target='_blank'>".SECTION_INDEX_HELP_SUBMENU_BASE."</a></li>
             <li class='separator'></li>
             <li><a href='#help.about'>".SECTION_INDEX_HELP_SUBMENU_ABOUT."</a></li>
           </ul>
         </li>";
*/
?>
         </ul>
      </div>
   </td>
</tr>

<tr valign='top' height='100%'>

 <td id='leftPane' width='25%' height='100%' bgcolor='#FAFAF9'>

   <table width='100%' height='100%' border='0' cellpadding='0' cellspacing='0'>
   <tr valign='top'>
   <td>
      <div id='treeSelector'>
         <ul id='treeSelectorContainer'>
           <li><p id='treeSelectorCaption'><span class='select_mode'><?=NETCAT_TREE_SELECT_MODE ?></span></p>
             <ul id='treeSelectorItems'>
               <li id='treemode_sitemap'><img class='icon' src='skins/default/img/i_sitemap.gif' alt='' width='16' height='16' border='0'> <?=NETCAT_TREE_SITEMAP ?>
             <? if ($is_supervisor): ?>
               <li id='treemode_developer'><img class='icon' src='skins/default/img/i_developer.gif' alt='' width='16' height='16' border='0'> <?=NETCAT_TREE_DEVELOPER ?>
               <li id='treemode_modules'><img class='icon' src='skins/default/img/i_modules.gif' alt='' width='16' height='16' border='0'> <?=NETCAT_TREE_MODULES ?>
               <li id='treemode_users'><img class='icon' src='skins/default/img/i_usergroup.gif' alt='' width='16' height='16' border='0'> <?=NETCAT_TREE_USERS ?>
             <? endif; ?>
             </ul>
           </li>
         </ul>
      </div>
   </td>
   </tr>

   <tr>
   <td width='100%' height='100%'>
      <iframe name='treeIframe' id='treeIframe' src='' height='100%' width='100%' frameborder='0'></iframe>
   </td>
   </tr>
   </table>

 </td>

<td id='slider' width='7' height='100%' valign='top'>
   <div id='slideBar'></div>
</td>

<td width='75%' height='100%' id='mainContainer'>

   <table id='startScreen' border='0' cellspacing='0' cellpadding='0' width='100%' height='100%' style='display:none'>
    <tr valign='top'>
     <td>
<?
/*
  echo "<div class='main_page_text main_left'>\n";
  echo "\t<div class='block_title'>\n";
  echo "\t\t<img src='skins/default/img/i_netcat_big.gif' alt='Netcat'>\n";
  echo "\t\t<span> </span>\n";
  echo "\t</div>\n";
  echo "\t<div class='block_text'>\n";
  echo ",  !<br>\n   <br>\nbla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla";
  echo "\t</div>\n";
  echo "</div>\n";
  

  echo "<div class='main_page_text main_right'>\n";
  echo "\t<div class='block_title'>\n";
  echo "\t\t<img src='skins/default/img/i_info_big.gif' alt='".SECTION_INDEX_ADMIN_PATCHES_INFO."'>\n";
  echo "\t\t<span>".SECTION_INDEX_ADMIN_PATCHES_INFO."</span>\n";
  echo "\t</div>\n";

  echo "\t<div class='block_text'>\n";
  echo "\t\t".SECTION_INDEX_ADMIN_PATCHES_INFO_VERSION.": <b>".$VERSION_ID."</b><br>";
  if ($LAST_LOCAL_PATCH) echo "\t\t".SECTION_INDEX_ADMIN_PATCHES_INFO_LAST_PATCH."#: <b>".$LAST_LOCAL_PATCH."</b><br>";
  echo "\t\t".SECTION_INDEX_ADMIN_PATCHES_INFO_LAST_PATCH_DATE.": <b>".$PATCH_CHECK_DATE."</b><br><br>";
  echo "\t\t<img src='skins/default/img/i_tool_patch.gif' alt='".SECTION_INDEX_ADMIN_PATCHES_INFO_CHECK_PATCH."'><span><a href='#tools.patch(3)'>".SECTION_INDEX_ADMIN_PATCHES_INFO_CHECK_PATCH."</a><span>";
  echo "\t</div>\n";
  echo "</div>\n";

  echo "<br style='clear: both;'><br>";

  echo "<div class='main_page_block main_left'>\n";
  echo "\t<div class='block_title'>\n";
  echo "\t<img src='skins/default/img/i_modules_big.gif' alt='".NETCAT_MODULES."'>\n";
  echo "\t<span>".NETCAT_MODULES."</span>\n";
  echo "\t</div>\n";

  $have_modules="";
  if ($modules = $db->get_results("SELECT Module_ID,Module_Name,Keyword FROM Module")) {
    $i = 0;
    foreach ( (array)$modules as $module ) {
      $have_modules[$module->Keyword] = 1;
    
      echo "\t<div class='".(($i%2 == 0)?"block_line_gray":"block_line")."'>\n";
      echo "\t\t<img src='skins/default/img/i_module_".$module->Keyword.".gif' alt='".constant($module->Module_Name)."'>\n";
      echo "\t\t<span><a href='".(file_exists($MODULE_FOLDER.$module->Keyword."/admin.php")?"/modules/".$module->Keyword."/admin.php":"/modules/".$module->Keyword."/setup.php")."' title='".constant($module->Module_Name)."'>".constant($module->Module_Name)."</a></span>\n";
      echo "\t\t<div class='block_line_link'><a href='/modules/".$module->Keyword."/setup.php'><img border='0' src='skins/default/img/i_settings.gif' alt='".TOOLS_MODULES_MOD_PREFS."' title='".TOOLS_MODULES_MOD_PREFS."'></a></div>\n";
      echo "\t</div>\n";
    
      $i++;
    }
  }

  $pre_modules_must_have="\t<div class='block_unordered'><span>".SECTION_INDEX_MODULES_MUSTHAVE."</span></div>";
  foreach ($real_modules as $key => $real_module) {
    if (!$have_modules[$key] && $key!='eshop') {
      $modules_must_have .= "\t<div class='".(($i%2 == 0)?"block_line_gray":"block_line")." unordered'>\n";
      $modules_must_have .= "\t\t<img src='skins/default/img/i_module_".$key."_gray.gif' alt='".$real_module."'>\n";
      $modules_must_have .= "\t\t<span>".$real_module."</span>\n";
      $modules_must_have .= "\t\t<div class='block_line_link'><a href='http://netcat.ru/dealers/buynow/' target='_blank'>".SECTION_INDEX_MODULES_BUY."</a></div>\n";
      $modules_must_have .= "\t</div>\n";
    
      $i++;
    }
  }
  if ($modules_must_have) echo $pre_modules_must_have.$modules_must_have;

  echo "</div>\n";

  echo "<div class='main_page_block main_right'>\n";
  echo "\t<div class='block_title'>\n";
  echo "\t\t<img src='skins/default/img/i_favorites_big.gif' alt='".FAVORITE_HEADERTEXT."'>\n";
  echo "\t\t<span>".FAVORITE_HEADERTEXT."</span>\n";
  echo "\t</div>\n";
  if ($favorites) {
    $i = 0;
    foreach ($favorites as $favorite) {
      if ($catalogue != $favorite['Catalogue_ID']) {
        echo "\t<div class='block_title_line'><a href='#site.map(".$favorite['Catalogue_ID'].")'><b>".$favorite['Catalogue_Name']."</b></a></div>\n";
        $catalogue = $favorite['Catalogue_ID'];
        $count++;
      }
      $subclass_id = $db->get_var("SELECT Sub_Class_ID
                                     FROM Sub_Class
                                    WHERE Subdivision_ID = '".$favorite['Subdivision_ID']."'
                                 ORDER BY Priority
                                    LIMIT 1");

      echo "\t<div class='".(($i%2 == 0)?"block_line_gray":"block_line")."'>\n";
      echo "\t\t<img src='skins/default/img/i_folder".(!$favorite['SubChecked']?"_disabled":"").".gif' alt='".$favorite['Subdivision_Name']."'>\n";
      echo "\t\t<span><a href='#".($subclass_id?"object.list($subclass_id)":"subclass.add(".$favorite['Subdivision_ID'].")")."' title='".$favorite['Subdivision_Name']."'>".$favorite['Subdivision_Name']."</a></span>\n";
      echo "\t\t<div class='block_line_link'><a href='".($subclass_id?"#object.add($subclass_id)":"#subclass.add(".$favorite['Subdivision_ID'].")")."'><img border='0' src='skins/default/img/i_".($subclass_id?"obj":"template")."_add.gif' alt='".TOOLS_MODULES_MOD_PREFS."' title='".TOOLS_MODULES_MOD_PREFS."'></a></div>\n";
      echo "\t</div>\n";

      $i++;
    }
  }
  
  echo "</div>\n";
  
  echo "<br>";
  

  echo "<div class='main_page_text main_right'>\n";
  echo "\t<div class='block_text'>\n";
//  echo "\t\t<img src='skins/default/img/i_sitemap.gif' alt='".SECTION_INDEX_FAVORITE_ANOTHER_SUB."'>";
//  echo "\t\t<span><a href='#' onclick=\"window.open('/netcat/admin/subdivision/favorites.php?phase=4','LIST','top=50, left=100,directories=no,height=600,location=no,menubar=no,resizable=no,scrollbars=yes,status=yes,toolbar=no,width=400')\">".SECTION_INDEX_FAVORITE_ANOTHER_SUB."</a></span>\n";
  echo "\t\t<div class='block_line_link'><a href='#favorite.list()'><img border='0' src='skins/default/img/i_settings.gif' alt='".SECTION_INDEX_FAVORITE_SETTINGS."' title='".SECTION_INDEX_FAVORITE_SETTINGS."'>&nbsp;".SECTION_INDEX_FAVORITE_SETTINGS."</a></div>\n";
  echo "\t</div>\n";
  echo "</div>\n";
*/
?>
 

     </td>
    </tr>
   </table>

   <table id='mainView' border='0' cellspacing='0' cellpadding='0' width='100%' height='100%'>
	<tr height='48'>
	  <td id='mainViewHeader'></td>
	</tr>
	<tr height='26'>
	  <td class='main_view_tabs'>
	     <div class='before_tabs'></div>
	     <div class='between_tabs'></div>
	     <div id='mainViewTabs'></div>
	     <div class='after_tabs'></div>
	  </td>
	</tr>
	<tr><!--  height='28' -->
      <td id='mainViewToolbar' class='toolbar'></td>
   </tr>
	<tr height='100%'>
	  <td valign='top' id='mainViewContent'>
	     <iframe width='100%' height='100%' id='mainViewIframe' name='mainViewIframe' frameborder='0' border='0'></iframe>
	  </td>
	</tr>
	<tr>
         <td class='main_view_buttons' id='mainViewButtons'></td>
        </tr>
   </table>

</td>
</tr>
</table>

<div id='loginDialog' class="fs_dialog" style='display:none'>
   <div class='box'>
      <form name='loginForm' id='loginForm'>
        <table border=0 cellpadding=4 cellspacing=0>
          <tr>
            <td><?=CONTROL_AUTH_HTML_LOGIN?>:</td>
            <td><input type='text' name='login' value='<?echo $AUTH_USER?>'></td>
          </tr>
          <tr>
            <td><?=CONTROL_AUTH_HTML_PASSWORD?>:</td>
            <td><input type='password' name='password'></td>
          </tr>
          <tr>
            <td colspan='2'><input type='button' onclick='loginFormPost()' value='<?=CONTROL_AUTH_HTML_AUTH?>'></td>
          </tr>
        </table>
      </form>
   </div>
   <div class='shadow'></div>
</div>

<div id='messageToSubdivisionDialog' class="fs_dialog" style='display:none'>
   <div class='box'>
     <iframe id='messageToSubdivisionIframe' src='' height='100%' width='100%' frameborder='0'></iframe>
   </div>
   <div class='shadow'></div>
</div>

</body>

</html>