<?
require_once ("../../vars.inc.php");
require ("../function.inc.php");
require ("function.inc.php");
require ("../tar.inc.php");

global $db;

$Delimeter = " &gt ";
$main_section = "settings";
$item_id=4;
$Title2 = TOOLS_PATCH;
$Title3 = "<a href=/netcat/admin/patch/>".TOOLS_PATCH."</a>";
$Title4 = TOOLS_PATCH_CHEKING;

$UI_CONFIG = new ui_config_tool(TOOLS_PATCH, TOOLS_PATCH, 'i_tool_patch_big.gif', "tools.patch".($phase?"($phase)":""));

if ( !($perm->isSupervisor() || $perm->isGuest()) )
{
    BeginHtml ($Title2, $Title2, "");
    nc_print_status($NO_RIGHTS_MESSAGE, 'error');
    EndHtml ();
    exit;
}

if ( $perm->isGuest() && $phase > 1 )
{
    BeginHtml ($Title2, $Title2, "");
    nc_print_status($NO_RIGHTS_MESSAGE, 'error');
    EndHtml ();
    exit;
}


if (!$phase) $phase=1;

switch ($phase)
{
	#   
    case 1:
        BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/settings/patch/");
        break;

	#   
    case 2:
        BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/settings/patch/");
        $perm->ExitIfGuest ();
		$err=0;

		if (!checkPermissions("/netcat/",$DOCUMENT_ROOT))
			break;
		if (!checkPermissions("/netcat/tmp/",$DOCUMENT_ROOT))
			break;

        if (!$_FILES['FilePatch']['tmp_name'])
        {
            InstallationAborted(TOOLS_MODULES_ERR_NOTUPLOADED.".");
        }

        $PatchFile = tempnam($TMP_FOLDER, "patch");
        move_uploaded_file($_FILES['FilePatch']['tmp_name'], $PatchFile);
        // this temporary file will be deleted in the end of this function or in InstallationAborted()

        if (!nc_tgz_extract($PatchFile, $TMP_FOLDER) && !file_exists($TMP_FOLDER."id.txt"))
        {
           InstallationAborted(TOOLS_PATCH_ERR_EXTRACT);
        }


        if (!CheckDeps () )
        {
            InstallationAborted (TOOLS_PATCH_INFO_NOTINSTALLED.".<br>");
        }

        if ($VersionID != $VERSION_ID)
        {
            InstallationAborted (TOOLS_PATCH_INVALIDVERSION." NetCat.");
        }

        if ($SystemID && $SystemID != $SYSTEM_ID)
        {
            InstallationAborted(TOOLS_PATCH_INVALIDVERSION." NetCat.<br>");
        }

        if ( IsAlreadyInstalled () )
        {
            InstallationAborted(TOOLS_PATCH_ALREDYINSTALLED.".<br>");
        }

        $InstallFile = $TMP_FOLDER."install.inc.php";
        if (!is_readable ($InstallFile) )
        {
            InstallationAborted(TOOLS_MODULES_ERR_CANTOPEN." install.inc.php.");
        }
        else
        {
            require $InstallFile;
        }

        if (!is_readable ($TMP_FOLDER."id.txt") )
        {
            InstallationAborted(TOOLS_MODULES_ERR_CANTOPEN." id.txt.<br>");
        }

        if (!is_readable ($TMP_FOLDER."files.txt") )
        {
            InstallationAborted(TOOLS_MODULES_ERR_CANTOPEN." files.txt.");
        }

        if (!is_readable ($TMP_FOLDER."sql.txt") )
        {
            InstallationAborted(TOOLS_MODULES_ERR_CANTOPEN." sql.txt.");
        }

        if (!is_readable ($TMP_FOLDER."required.txt") ) {
            InstallationAborted(TOOLS_MODULES_ERR_CANTOPEN." required.txt.");
        }

        if (!is_readable ($TMP_FOLDER."symlinks.txt") )
        {
            InstallationAborted(TOOLS_MODULES_ERR_CANTOPEN." symlinks.txt.");
        }


        $Ability = CheckAbilityOfInstallation ();
        if ($Ability["Success"] == 0)
        {
            InstallationAborted(TOOLS_PATCH_ERROR.": ".$Ability["ErrorMessage"].".");
        }

        $Install = InstallPatch ();
        if ($Install["Success"] == 0)
        {
            InstallationAborted(TOOLS_PATCH_ERROR_DURINGINSTALL.": ".$Install["ErrorMessage"].".");
        }

        CopyFiles ();
        ExecSQL ($TMP_FOLDER."sql.txt");
        CreatLinks ();

        $inserted = $db->query("INSERT INTO Patch (Patch_Name,Created,Description) VALUES ('$PatchName','".date('Ymd')."','$Description')");

        DeleteFilesInDirectory ($TMP_FOLDER);
        nc_print_status(TOOLS_PATCH_INSTALLED.".", 'ok');

        break;
    case 3:
        BeginHtml ($Title4, $Title3.$Delimeter.$Title4, "http://".$DOC_DOMAIN."/settings/patch/");

        CheckForNewPatch();

        break;

}

PatchForm ();
PatchList ();

EndHtml ();

?>
