<?

require_once ("../../vars.inc.php");
require ("../function.inc.php");
require ("../class/function.inc.php");
require ("../subdivision/function.inc.php");
require ("../subdivision/subclass.inc.php");
require ("../class/Message.inc.php");

require ("wizard.inc.php");

$Title1 = SECTION_INDEX_WIZARD_SUBMENU_CLASS;
$Title2 = '';

if (!isset($phase)) $phase=1;

switch ($phase) {

  //      
  case 1:
   	BeginHtml($Title1, $Title2, "http://".$DOC_DOMAIN."/management/class/wizard/");
   	$UI_CONFIG = new ui_config_wizard_class(1, 0, 0);
   	nc_class_wizard_start('', '');
   	EndHtml();
  break;

  //         
  case 2:
    $AJAX_SAVER = false;
    if (!$NC_HTTP_REQUEST) BeginHtml($Title1, $Title2, "http://".$DOC_DOMAIN."/management/class/wizard/");
//    if ($ClassName) {
      if ($Class_Group_New) $Class_Group = $Class_Group_New;
      $perm->ExitIfGuest ();
      if (!$ClassID) {
        $NewID = ActionClassComleted(1);
        $UI_CONFIG = new ui_config_wizard_class(2, $Class_Type, $NewID);
        if (!$Class_Group) $Class_Group = $db->get_var("SELECT Class_Group FROM Class WHERE Class_ID = $NewID");
        nc_class_wizard_field_form($NewID, $Class_Type, $ClassName, $Class_Group);
      } else {
        $UI_CONFIG = new ui_config_wizard_class(2, $Class_Type, $ClassID);
        if (!$Class_Group) $Class_Group = $db->get_var("SELECT Class_Group FROM Class WHERE Class_ID = $ClassID");
        if ($FieldName) {
          if (!preg_match("/^[a-zA-Z0-9_]+$/", $FieldName)) {
            nc_print_status(CONTROL_FIELD_NAME_ERROR, 'error');
            nc_class_wizard_field_form($ClassID, $Class_Type, $ClassName, $Class_Group);
          } else {
            $new_id = nc_class_wizard_field_add();
            if ($new_id) {
              nc_print_status(CONTROL_FIELD_MSG_ADDED, 'ok');
              nc_class_wizard_field_form($ClassID, $Class_Type, $ClassName, $Class_Group);

              $UI_CONFIG->treeChanges['deleteNode'][] = "dataclass-".$ClassID;

              $class_buttons[] = array("image" => "i_class_delete.gif",
        	                           "label" => CONTROL_CLASS_DELETE,
                                       "href" => "dataclass.delete(".$ClassID.")");

              $UI_CONFIG->treeChanges['addNode'][] = array(
                          "parentNodeId" => "group-".md5($Class_Group),
                          "nodeId" => "dataclass-$ClassID",
                          "name" => $ClassID.". ".$ClassName,
                          "href" => "#dataclass.edit($ClassID)",
                          "image" => 'i_class.gif',
                          "buttons" => $class_buttons,
                          "acceptDropFn" => "treeClassAcceptDrop",
                          "onDropFn" => "treeClassOnDrop",
                          "hasChildren" => true,
                          "dragEnabled" => true);
              
              $field_types = array(1 => 'i_type_string.gif',
                                   2 => 'i_type_int.gif',
                                   3 => 'i_type_text.gif',
                                   4 => 'i_type_classificator.gif',
                                   5 => 'i_type_bool.gif',
                                   6 => 'i_type_file.gif',
                                   7 => 'i_type_float.gif',
                                   8 => 'i_type_date.gif',
                                   9 => 'i_type_link.gif');
	          
	          $field_buttons[] = array("image" => "i_field_delete.gif",
        		                       "label" => CONTROL_FIELD_LIST_DELETE,
                		               "href" => "field.delete(".$ClassID.",".$new_id.")");
              $UI_CONFIG->treeChanges['addNode'][] = array(
                          "parentNodeId" => "dataclass-".$ClassID,
                          "nodeId" => "field-$new_id",
                          "name" => $new_id.". ".$FieldName,
                          "href" => "#field.edit($new_id)",
                          "image" => $field_types[$TypeOfDataID],
                          "buttons" => $field_buttons,
                          "acceptDropFn" => "treeFieldAcceptDrop",
                          "onDropFn" => "treeFieldOnDrop",
                          "hasChildren" => false,
                          "dragEnabled" => true);
            } else {
              nc_print_status(CONTROL_FIELD_ONE_RESERVED, 'error');
              nc_class_wizard_field_form($ClassID, $Class_Type, $ClassName, $Class_Group);
            }
          }
          nc_class_wizard_fields_list($ClassID);
        } else {
          nc_print_status(CONTROL_FIELD_NAME_ERROR, 'error');
          nc_class_wizard_field_form($ClassID, $Class_Type, $ClassName, $Class_Group);
          $field_count = $db->get_var("SELECT COUNT(Field_ID) FROM Field WHERE Class_ID = '".$ClassID."'");
          if ($field_count) nc_class_wizard_fields_list($ClassID); 
        }
      }
//    } else {
//      $UI_CONFIG = new ui_config_wizard_class(1, 0, 0);
//      nc_class_wizard_start($ClassName, $Class_Group, $Class_Group_New);
//    }
    if (!$NC_HTTP_REQUEST) EndHtml();
  break;

  //  
  case 3:
    BeginHtml($Title1, $Title2, "http://".$DOC_DOMAIN."/management/class/wizard/");
    $UI_CONFIG = new ui_config_wizard_class(3, $Class_Type, $ClassID);
    $field_count = $db->get_var("SELECT COUNT(Field_ID) FROM Field WHERE Class_ID = '".$ClassID."'");
    if (!$field_count) {
      nc_print_status(WIZARD_CLASS_ERROR_NO_FIELDS, 'error');
      echo "<a href='/netcat/admin/wizard/wizard_class.php?phase=2&Class_Type=".$Class_Type."&ClassID=".$ClassID."'>".WIZARD_CLASS_LINKS_RETURN_TO_FIELDS_ADDING."</a>";
    } else {
      nc_class_wizard_settings($ClassID, $Class_Type, $ClassName, $Class_Group);
    }
    EndHtml();
  break;

  case 4:
    BeginHtml($Title1, $Title2, "http://".$DOC_DOMAIN."/management/class/wizard/");

    $form_prefix = "\$f_AdminCommon\n";
    $record_template = "\$f_AdminButtons\n";
    $form_suffix = '';
    $records_per_page = '20';
    $sorting = '';
    $sort_direction = '';
    $record_template_full = '';

    $add_action_template = '';

    /*   */
    switch ($Class_Type) {
      //    
      case 1:
        $field_count = $db->get_var("SELECT COUNT(Field_ID) FROM Field WHERE Class_ID = '".$ClassID."'");
        if (!$field_count) {
          $UI_CONFIG = new ui_config_wizard_class(5, $Class_Type, $ClassID);
          nc_print_status(WIZARD_CLASS_ERROR_NO_FIELDS, 'error');
          echo "<a href='/netcat/admin/wizard/wizard_class.php?phase=2&Class_Type=".$Class_Type."&ClassID=".$ClassID."'>   .</a>";
          EndHtml();
          exit();
        } else {
          $objects = $db->get_results("SELECT Field_ID, Field_Name, Description, TypeOfData_ID, Format FROM Field WHERE Class_ID = '".$ClassID."'", ARRAY_A);
          foreach ($objects as $object) $record_template .= nc_class_wizard_field_template($object)."<br>\n";
          $record_template .= "<br>\n";
          $db->query("UPDATE Class SET FormPrefix='".mysql_escape_string($form_prefix)."', FormSuffix='".mysql_escape_string($form_suffix)."', RecordTemplate='".mysql_escape_string($record_template)."', RecordTemplateFull='".mysql_escape_string($record_template_full)."', RecordsPerPage='".mysql_escape_string($records_per_page)."', SortBy='".mysql_escape_string($sorting)."', AddActionTemplate='".mysql_escape_string($add_action_template)."' WHERE Class_ID = '".$ClassID."'");
        }
      break;
      
      //  
      case 2:
  
        $records_per_page = $SettingsRecNum;
        if ($SettingsSort) {
          $sorting = $SettingsSort;
          if ($SettingsSortDirection == 2) {
            $sorting .= " DESC";
          }
        } else {
          $sorting = "Priority";
        }
  
        if ($SettingsObjectListDelimiter == 1) $record_template = "\".opt(\$f_RowNum, \"<hr size='1'>\").\"\n".$record_template;
        if ($SettingsObjectListDelimiter == 2) $list_delimiter = "<br>";
  
        if ($SettingsNavigation == 1) $navigation = "\".opt(\$prevLink || \$nextLink,\"<div style='text-align: center;'>\").\"\".opt(\$prevLink,\"<a href='\$prevLink'></a>\").\" \".opt(\$nextLink,\"<a href='\$nextLink'></a>\").\"\".opt(\$prevLink || \$nextLink,\"</div>\").\"<br>\n";
        if ($SettingsNavigation == 2) $navigation = "\".opt(\$prevLink || \$nextLink,\": \".browse_messages(\$cc_env,10).\"<br>\").\"<br>\n";
        if ($SettingsNavigation == 3) $navigation = "\".opt(\$prevLink || \$nextLink,\"<div style='text-align: center;'>\".opt(\$prevLink,\"<a href='\$prevLink'></a>\").\" : \".browse_messages(\$cc_env,10).\"\".opt(\$nextLink,\" <a href='\$nextLink'></a>\").\"</div>\").\"<br>\n";
        
        if ($SettingsNavigationPosition == 1) $form_prefix .= $navigation;
        if ($SettingsNavigationPosition == 2) $form_suffix .= "<br>".$navigation;
        if ($SettingsNavigationPosition == 3) {
          $form_prefix .= $navigation;
          $form_suffix .= "<br>".$navigation;
        }  
  
  
        //  
        if ($SettingsObjectListType == 1) {
          //       
          if ($SettingsObjectList) {
            $fields_string = join(', ', $SettingsObjectList);
            $objects = $db->get_results("SELECT Field_ID, Field_Name, Description, TypeOfData_ID, Format FROM Field WHERE Field_ID IN (".$fields_string.")", ARRAY_A);
            foreach ($objects as $object) {
              //    
              if ($SettingsIsObjectFull) {
                if (in_array($object['Field_ID'], $SettingsObjectFullLink))
                	$record_template .= nc_class_wizard_field_template($object, true, true)."<br>\n";
                else
                	$record_template .= nc_class_wizard_field_template($object)."<br>\n";
              } else {
                $record_template .= nc_class_wizard_field_template($object)."<br>\n";
              }
            }
            $record_template .= $list_delimiter."\n";

            if ($SettingsObjectFull) {
              $fields_string = join(', ', $SettingsObjectFull);
              $objects = $db->get_results("SELECT Field_ID, Field_Name, Description, TypeOfData_ID, Format FROM Field WHERE Field_ID IN (".$fields_string.")", ARRAY_A);
              foreach ($objects as $object) {
                $record_template_full .= nc_class_wizard_field_template($object)."<br>\n";
              }
            }
          }
        }
  
        //   
        if ($SettingsObjectListType == 2) {
          //       
          if ($SettingsObjectList) {
            if ($SettingsObjectTableBorder) {
              $form_prefix .= "<table border='0' cellpadding='5' cellspacing='1' width='100%' style='background: #999'>\n";
            } else {
              $form_prefix .= "<table border='0' cellpadding='5' cellspacing='0' width='100%'>\n";
            }
            if ($form_suffix) {
              $form_suffix = "</table>\n".$form_suffix;
            } else {
              $form_suffix .= "</table>\n";
            }
  
            $fields_string = join(', ', $SettingsObjectList);
            $objects = $db->get_results("SELECT Field_ID, Field_Name, Description, TypeOfData_ID, Format FROM Field WHERE Field_ID IN (".$fields_string.")", ARRAY_A);
            $form_prefix .= "\t<tr style='font-weight:bold".($SettingsObjectTableBorder ? "; background:#FFF" : "")."'>\n";
            $i = 0;
            foreach ($objects as $object) {
              $form_prefix .= "\t\t<td>".$object['Description']."</td>\n";
              $i++;
            }
            $form_prefix .= "\t</tr>";
			
			$record_template = "\t\".opt(\$f_AdminButtons, \"<tr".($SettingsObjectTableBorder ? " style='background: #FFF'" : "")."><td".($i>1 ? " colspan='".$i."'" : "").">\$f_AdminButtons</td></tr>\").\"\n";
			
            if ($SettingsObjectTableBackground) {
              $record_template .= "\t<tr style='background: #\".opt_case(\$f_RowNum % 2,\"FFF\",\"EEE\").\";'>\n";
            } else {
              $record_template .= "\t<tr".($SettingsObjectTableBorder ? " style='background: #FFF'" : "").">\n";
            }
            foreach ($objects as $object) {
              //    
              if ($SettingsIsObjectFull) {
                if (in_array($object['Field_ID'], $SettingsObjectFullLink)) {
                  $record_template .= "\t\t<td>".nc_class_wizard_field_template($object, false, true)."</td>\n";
                } else {
                  $record_template .= "\t\t<td>".nc_class_wizard_field_template($object, false)."</td>\n";
                }
              } else {
                $record_template .= "\t\t<td>".nc_class_wizard_field_template($object, false)."</td>\n";
              }
            }
            $record_template .= "\t</tr>\n";
  
            if ($SettingsObjectFull) {
              $fields_string = join(', ', $SettingsObjectFull);
              $objects = $db->get_results("SELECT Field_ID, Field_Name, Description, TypeOfData_ID, Format FROM Field WHERE Field_ID IN (".$fields_string.")", ARRAY_A);
              $record_template_full .= "<table border='0' cellpadding='5' cellspacing='0' width='100%'>\n";
              foreach ($objects as $object) {
              	//    
                $record_template_full .= "\t<tr><td>".nc_class_wizard_field_template($object)."</td></tr>\n";
              }
              $record_template_full .= "</table>";
            }
          }
        }
        $db->query("UPDATE Class SET FormPrefix='".mysql_escape_string($form_prefix)."', FormSuffix='".mysql_escape_string($form_suffix)."', RecordTemplate='".mysql_escape_string($record_template)."', RecordTemplateFull='".mysql_escape_string($record_template_full)."', RecordsPerPage='".mysql_escape_string($records_per_page)."', SortBy='".mysql_escape_string($sorting)."' WHERE Class_ID = '".$ClassID."'");
  
      break;
      
      //    
      case 3:
        $records_per_page = $SettingsRecNum;
        if ($SettingsSort) {
          $sorting = $SettingsSort;
          if ($SettingsSortDirection == 2) {
            $sorting .= " DESC";
          }
        } else {
          $sorting = "Priority";
        }
        
        $fields_string = join(', ', $SettingsSearchFields);
        $db->query("UPDATE Field SET DoSearch = '1' WHERE Field_ID IN (".$fields_string.")");

  		$form_prefix .= "\$nc_search_form<br>\n\".opt(\$srchPat && !\$totRows, \"<div style='margin:15px 0'><b>  .</b></div>\").\"";
  
        if ($SettingsObjectListDelimiter == 1) $record_template = "\".opt(\$f_RowNum, \"<hr size='1'>\").\"\n".$record_template;
        if ($SettingsObjectListDelimiter == 2) $list_delimiter = "<br>";
  
        if ($SettingsNavigation == 1) $navigation = "\".opt(\$prevLink || \$nextLink,\"<div style='text-align: center;'>\").\"\".opt(\$prevLink,\"<a href='\$prevLink'></a>\").\" \".opt(\$nextLink,\"<a href='\$nextLink'></a>\").\"\".opt(\$prevLink || \$nextLink,\"</div>\").\"<br>\n";
        if ($SettingsNavigation == 2) $navigation = "\".opt(\$prevLink || \$nextLink,\": \".browse_messages(\$cc_env,10).\"<br>\").\"<br>\n";
        if ($SettingsNavigation == 3) $navigation = "\".opt(\$prevLink || \$nextLink,\"<div style='text-align: center;'>\".opt(\$prevLink,\"<a href='\$prevLink'></a>\").\" : \".browse_messages(\$cc_env,10).\"\".opt(\$nextLink,\" <a href='\$nextLink'></a>\").\"</div>\").\"<br>\n";
        
        if ($SettingsNavigationPosition == 1) $form_prefix .= $navigation;
        if ($SettingsNavigationPosition == 2) $form_suffix .= "<br>".$navigation;
        if ($SettingsNavigationPosition == 3) {
          $form_prefix .= $navigation;
          $form_suffix .= "<br>".$navigation;
        }
  		
        //  
        if ($SettingsObjectListType == 1) {
          //       
          if ($SettingsObjectList) {
            $fields_string = join(', ', $SettingsObjectList);
            $objects = $db->get_results("SELECT Field_ID, Field_Name, Description, TypeOfData_ID, Format FROM Field WHERE Field_ID IN (".$fields_string.")", ARRAY_A);
            foreach ($objects as $object) {
              //    
              if ($SettingsIsObjectFull) {
                if (in_array($object['Field_ID'], $SettingsObjectFullLink)) {
                  $record_template .= nc_class_wizard_field_template($object, true, true)."<br>\n";;
                } else {
                  $record_template .= nc_class_wizard_field_template($object)."<br>\n";
                }
              } else {
                $record_template .= nc_class_wizard_field_template($object)."<br>\n";
              }
            }
  
            if ($SettingsObjectFull) {
              $fields_string = join(', ', $SettingsObjectFull);
              $objects = $db->get_results("SELECT Field_ID, Field_Name, Description, TypeOfData_ID, Format FROM Field WHERE Field_ID IN (".$fields_string.")", ARRAY_A);
              foreach ($objects as $object) {
                $record_template_full .= nc_class_wizard_field_template($object)."<br>\n";
              }
            }
          }
        }
  
        //   
        if ($SettingsObjectListType == 2) {
          //       
          if ($SettingsObjectList) {
            if ($SettingsObjectTableBorder) {
              $form_prefix .= "<table border='0' cellpadding='5' cellspacing='1' width='100%' style='background: #999'>\n";
            } else {
              $form_prefix .= "<table border='0' cellpadding='5' cellspacing='0' width='100%'>\n";
            }
            if ($form_suffix) {
              $form_suffix = "</table>\n".$form_suffix;
            } else {
              $form_suffix .= "</table>\n";
            }
  
            $fields_string = join(', ', $SettingsObjectList);
            $objects = $db->get_results("SELECT Field_ID, Field_Name, Description, TypeOfData_ID, Format FROM Field WHERE Field_ID IN (".$fields_string.")", ARRAY_A);
            $form_prefix .= "\t<tr style='font-weight:bold".($SettingsObjectTableBorder ? "; background:#FFF" : "")."'>\n";
            $i = 0;
            foreach ($objects as $object) {
              $form_prefix .= "\t\t<td>".$object['Description']."</td>\n";
              $i++;
            }
            $form_prefix .= "\t</tr>";

            $record_template = "\t\".opt(\$f_AdminButtons, \"<tr".($SettingsObjectTableBorder ? " style='background: #FFF'" : "")."><td".($i>1 ? " colspan='".$i."'" : "").">\$f_AdminButtons</td></tr>\").\"\n";

            if ($SettingsObjectTableBackground) {
              $record_template .= "\t<tr style='background-color:#\".opt_case(\$f_RowNum % 2, \"FFF\", \"EEE\").\"'>\n";
            } else {
              $record_template .= "\t<tr".($SettingsObjectTableBorder ? " style='background: #FFF'" : "").">\n";
            }
            foreach ($objects as $object) {
              //    
              if ($SettingsIsObjectFull) {
                if (in_array($object['Field_ID'], $SettingsObjectFullLink)) {
                  $record_template .= "\t\t<td>".nc_class_wizard_field_template($object, false, true)."</td>\n";
                } else {
                  $record_template .= "\t\t<td>".nc_class_wizard_field_template($object, false)."</td>\n";
                }
              } else {
                $record_template .= "\t\t<td>".nc_class_wizard_field_template($object, false)."</td>\n";
              }
            }
            $record_template .= "\t</tr>\n";
  
            if ($SettingsObjectFull) {
              $fields_string = join(', ', $SettingsObjectFull);
              $objects = $db->get_results("SELECT Field_ID, Field_Name, Description, TypeOfData_ID, Format FROM Field WHERE Field_ID IN (".$fields_string.")", ARRAY_A);
              $record_template_full .= "<table border='0' cellpadding='5' cellspacing='0' width='100%'>\n";
              foreach ($objects as $object) {
                //    
                $record_template_full .= "\t<tr><td>".nc_class_wizard_field_template($object)."</td></tr>\n";
              }
              $record_template_full .= "</table>";
            }
          }
        }
        $db->query("UPDATE Class SET FormPrefix='".mysql_escape_string($form_prefix)."', FormSuffix='".mysql_escape_string($form_suffix)."', RecordTemplate='".mysql_escape_string($record_template)."', RecordTemplateFull='".mysql_escape_string($record_template_full)."', RecordsPerPage='".mysql_escape_string($records_per_page)."', SortBy='".mysql_escape_string($sorting)."' WHERE Class_ID = '".$ClassID."'");
      break;
      
      // -
      case 4:
  
        if ($SettingsSenderName) {
          $sender_name = $SettingsSenderName;
        } else {
          $sender_name = "\$system_env[SpamFromName]";
        }
  
        if ($SettingsSenderEmail) {
          $sender_email = $SettingsSenderEmail;
        } else {
          $sender_email = "\$system_env[SpamFromEmail]";
        }
  
        $SettingsMailText = "\"";
  
        if ($SettingsFormFields) {
          $fields_string = join(', ', $SettingsFormFields);
          $objects = $db->get_results("SELECT Field_ID, Field_Name, Description FROM Field WHERE Field_ID IN (".$fields_string.")", ARRAY_A);
          foreach ($objects as $object) {
            //    
            $record_template .= $object['Description'].": \$f_".$object['Field_Name']."\n";
            $SettingsMailText .= "<b>".$object['Description'].":</b> \$f_".$object['Field_Name']."<br>";
          }
        }
        $SettingsMailText .= "\"";
  
        $add_action_template .= "
        \";
        \$SettingsMailText = $SettingsMailText;
        \$headers = \"Return-Path: <$sender_email>\" . \"\\r\\n\";
        \$headers .= \"From: \\\"$sender_name\\\" <$sender_email>\" . \"\\r\\n\";
        \$headers .= \"Reply-To: $sender_name\" . \"\\r\\n\";
        \$headers .= \"Organization: \$system_env[ProjectName]\" . \"\\r\\n\";
        \$headers .= \"MIME-Version: 1.0\" . \"\\r\\n\";
        \$headers .= \"Content-Type: text/html; charset=windows-1251\" . \"\\r\\n\";
        \$headers .= \"X-Mailer: $system_env[Powered]\" . \"\\r\\n\";
  
        mail('$sender_email','$SettingsMailSubject',$SettingsMailText,\$headers);
        echo \"
        ";
        
        $db->query("UPDATE Class SET FormPrefix='".mysql_escape_string($form_prefix)."', FormSuffix='".mysql_escape_string($form_suffix)."', RecordTemplate='".mysql_escape_string($record_template)."', RecordTemplateFull='".mysql_escape_string($record_template_full)."', RecordsPerPage='".mysql_escape_string($records_per_page)."', SortBy='".mysql_escape_string($sorting)."', AddActionTemplate='".mysql_escape_string($add_action_template)."' WHERE Class_ID = '".$ClassID."'");
        
      break;
    }
    /*   */

    $UI_CONFIG = new ui_config_wizard_class(4, $Class_Type, $ClassID);
    nc_print_status(CONTROL_CONTENT_SUBDIVISION_SUBCLASS_SUCCESS_ADD, 'ok');
    nc_class_wizard_select_action($ClassID, $Class_Type);

    EndHtml();

  break;

  //     
/*
  case 5:
    BeginHtml($Title1, $Title2, "http://".$DOC_DOMAIN."/management/class/wizard/");

    $UI_CONFIG = new ui_config_wizard_class(5, $Class_Type, $ClassID);
    ClassForm ($ClassID, "wizard_class.php", 5, 2, 0);
    $UI_CONFIG->actionButtons = array(
                                   array("id" => "submit",
                                         "caption" => '      ',
                                         "action" => "mainView.submitIframeForm()"));
    EndHtml();
  break;
*/

  //           
  case 6:
    BeginHtml($Title1, $Title2, "http://".$DOC_DOMAIN."/management/class/wizard/");
    $UI_CONFIG = new ui_config_wizard_class(6, $Class_Type, $ClassID);
    nc_class_wizard_subdivision_form($ClassID);
/*
    $UI_CONFIG = new ui_config_wizard_class(6, $Class_Type, $ClassID);
    if ($CatalogueID || $ParentSubID) {
      if ($ParentSubID) {
        $loc = new SubdivisionLocation ($CatalogueID, $ParentSubID);

        $phase = 7;
        SubdivisionForm($phase, "wizard_class.php", 1);
        $UI_CONFIG->actionButtons = array(
                                       array("id" => "submit",
                                             "caption" => '    ',
                                             "action" => "mainView.submitIframeForm()"));
      } else {
        nc_class_wizard_select_subdivision($ClassID, $CatalogueID, $Class_Type, 6);
      }
    } else {
      nc_class_wizard_select_site($ClassID, $Class_Type, 6);
    }
*/
    EndHtml();
  break;

  //     
  case 7:
    BeginHtml($Title1, $Title2, "http://".$DOC_DOMAIN."/management/class/wizard/");
    $UI_CONFIG = new ui_config_wizard_class(7, $Class_Type, $ClassID);

    //      

    $perm->ExitIfGuest ();
    if ($CatalogueID) {
      $perm->ExitIfNotSupervisorManagerCatalogueAdmin ($CatalogueID);
    } else {
      $perm->ExitIfNotSupervisorManagerCatalogueSubdivisionAdmin (GetCatalogueBySubdivision($ParentSubID), $ParentSubID);
    }

    $loc = new SubdivisionLocation ($CatalogueID, $SubdivisionID);

    //  
    if ($posting == 1) {

      //   
      if (!$Subdivision_Name) {
        nc_print_status(CONTROL_CONTENT_SUBDIVISION_INDEX_ERROR_THREE_NAME, 'error');
        nc_class_wizard_subdivision_form($ClassID);
        break;
      }

      //       
      if ( !IsAllowedSubdivisionEnglishName ($EnglishName, $loc->ParentSubID, 0, $loc->CatalogueID) ) {
        nc_print_status(CONTROL_CONTENT_SUBDIVISION_INDEX_ERROR_THREE_KEYWORD, 'error');
        nc_class_wizard_subdivision_form($ClassID);
        break;
      }

      //      (            )
      if ( strspn(strtolower($EnglishName), "abcdefghijklmnopqrstuvwxyz0123456789-") != strlen($EnglishName) ) {
        nc_print_status(CONTROL_CONTENT_SUBDIVISION_SUBCLASS_ERROR_KEYWORD_INVALID, 'error');
        nc_class_wizard_subdivision_form($ClassID);
        break;
      }

      if (!$ParentSubID && !CatalogueID) {
        nc_print_status(CONTROL_CONTENT_SUBDIVISION_INDEX_ERROR_THREE_PARENTSUB, 'error');
        nc_class_wizard_subdivision_form($ClassID);
        break;
      }

      //       
      if ($SubdivisionID = ActionSubdivisionCompleted($type)) {

        if ($Class_Type == 1 || $Class_Type == 2) $default_action = 'index';
        if ($Class_Type == 3) $default_action = 'search';
        if ($Class_Type == 4) $default_action = 'add';
        
        $db->query("INSERT INTO `Sub_Class` (`Subdivision_ID`, `Class_ID`, `Sub_Class_Name`, `Priority`, `Read_Access_ID`, `Write_Access_ID`, `EnglishName`, `Checked`, `Catalogue_ID`, `Edit_Access_ID`, `Subscribe_Access_ID`, `Moderation_ID`, `DaysToHold`, `AllowTags`, `RecordsPerPage`, `SortBy`, `Created`, `DefaultAction`, `NL2BR`, `UseCaptcha`, `CustomSettings`) VALUES (".$SubdivisionID.",".$ClassID.",'".$Subdivision_Name."',0,0,0,'".$EnglishName."',1,".$CatalogueID.",0,0,0,NULL,-1,NULL,'','".date("Y-m-d H:i:s")."','".$default_action."',-1,-1,NULL)");
        ob_end_clean();
        //     ,   
        // ( ),   
        //     sub-$SubdivisionID
      	header("Location: /netcat/?inside_admin=1&cc=".$db->insert_id);
      	exit();

      } else {
        nc_print_status('Error', 'error');
      }
    }

  break;

  //           
  case 8:
    BeginHtml($Title1, $Title2, "http://".$DOC_DOMAIN."/management/class/wizard/");
    $UI_CONFIG = new ui_config_wizard_class(8, $Class_Type, $ClassID);
    nc_class_wizard_class_form($ClassID, $Class_Type);
/*
    if ($CatalogueID || $ParentSubID) {
      if ($ParentSubID) {
        if ($Class_Type == 1 || $Class_Type == 2) $default_action = 'index';
        if ($Class_Type == 3) $default_action = 'search';
        if ($Class_Type == 4) $default_action = 'add';
        
        $subdivision = $db->get_row("SELECT Subdivision_Name, EnglishName FROM Subdivision WHERE Subdivision_ID = '".$ParentSubID."'", ARRAY_A);
        
        $db->query("INSERT INTO `Sub_Class` (`Subdivision_ID`, `Class_ID`, `Sub_Class_Name`, `Priority`, `Read_Access_ID`, `Write_Access_ID`, `EnglishName`, `Checked`, `Catalogue_ID`, `Edit_Access_ID`, `Subscribe_Access_ID`, `Moderation_ID`, `DaysToHold`, `AllowTags`, `RecordsPerPage`, `SortBy`, `Created`, `DefaultAction`, `NL2BR`, `UseCaptcha`, `CustomSettings`) VALUES (".$ParentSubID.",".$ClassID.",'".$subdivision['Subdivision_Name']."',0,0,0,'".$subdivision['EnglishName'].$ClassID."',1,".$CatalogueID.",0,0,0,NULL,-1,NULL,'','".date("Y-m-d H:i:s")."','".$default_action."',-1,-1,NULL)");
        if ($db->rows_affected) {
          ob_end_clean();
          //     ,   
          // ( ),   
          //     sub-$SubdivisionID
      	  header("Location: /netcat/?inside_admin=1&cc=".$db->insert_id);
      	  exit();
        } else {
          nc_print_status(CONTROL_CONTENT_SUBDIVISION_SUBCLASS_ERROR_KEYWORD, 'error');
        }
      } else {
        nc_class_wizard_select_subdivision($ClassID, $CatalogueID, $Class_Type, 8);
      }
    } else {
      nc_class_wizard_select_site($ClassID, $Class_Type, 8);
    }
*/
    EndHtml();
  break;
  
  case 9:
    BeginHtml($Title1, $Title2, "http://".$DOC_DOMAIN."/management/class/wizard/");
    $loc = new SubdivisionLocation($CatalogueID, $ParentSubID, $SubdivisionID);
    $UI_CONFIG = new ui_config_wizard_class(9, $Class_Type, $ClassID);
    if (!($perm->isSupervisor () || $perm->isManager() || $perm->isGuest() || $perm->isCatalogueAdmin (GetCatalogueBySubdivision($SubdivisionID)) || $perm->isSubdivisionAdmin ($SubdivisionID) ) ) {
      nc_print_status($NO_RIGHTS_MESSAGE, 'error');
      nc_class_wizard_class_form($ClassID, $Class_Type);
      break;
    }

    if ($SubClassName == "") {
      nc_print_status(CONTROL_CONTENT_SUBDIVISION_SUBCLASS_ERROR_NAME, 'error');
      nc_class_wizard_class_form($ClassID, $Class_Type);
      break;
    } 
    if ( strspn(strtolower($EnglishName), "abcdefghijklmnopqrstuvwxyz0123456789-") != strlen($EnglishName) ) {
      nc_print_status(CONTROL_CONTENT_SUBDIVISION_SUBCLASS_ERROR_KEYWORD_INVALID, 'error');
      nc_class_wizard_class_form($ClassID, $Class_Type);
      break;
    } 
    if ( preg_match("/^[0-9]+$/", $EnglishName) ) {
      nc_print_status(CONTROL_CONTENT_SUBDIVISION_SUBCLASS_ERROR_KEYWORD_INVALID, 'error');
      nc_class_wizard_class_form($ClassID, $Class_Type);
      break;
    } 
    if ( ( !IsAllowedSubClassEnglishName ($EnglishName, $SubdivisionID, (int)$SubClassID) ) || ( $EnglishName == "" ) ) {
      nc_print_status(CONTROL_CONTENT_SUBDIVISION_SUBCLASS_ERROR_KEYWORD, 'error');
      nc_class_wizard_class_form($ClassID, $Class_Type);
      break;
    }
    
    if ($SubClassID = ActionSubClassCompleted(1)) {
      ob_end_clean();
      //     ,   
      // ( ),   
      //     sub-$SubdivisionID
      header("Location: /netcat/?inside_admin=1&cc=".$SubClassID);
      exit();
    }
  break;
}
?>