<?
require_once ("../vars.inc.php");
require_once("function.inc.php");
require_once("admin.inc.php");

$inside_admin = 1;
?>

<html>

<head>
   <meta http-equiv='Content-Type' content='text/html; charset=windows-1251'>
   <title><?=($title?$title:"NetCat ".BEGINHTML_VERSION." $VERSION_ID $SYSTEM_NAME")?></title>
   <link type='text/css' rel='Stylesheet' href='/netcat/admin/skins/default/css/admin.css'>
   <script type='text/javascript' language='Javascript'>
     var NETCAT_PATH = '/netcat/',
         ADMIN_PATH = '/netcat/admin/',
         ICON_PATH = '/netcat/admin/skins/default/img/';
   </script>
   <script type='text/javascript' src='js/lib.js'></script>
   <script type='text/javascript' src='js/forms.js'></script>

<?php
     // MODULE URL DISPATCHERS
     $modules = $db->get_results("SELECT Keyword, Module_Name FROM Module ORDER BY Keyword", ARRAY_A);
//ADMIN_LANGUAGE
     foreach ($modules as $module) {
       if(file_exists($MODULE_FOLDER.$module['Keyword']."/".MAIN_LANG.".lang.php")) {
         require_once($MODULE_FOLDER.$module['Keyword']."/".MAIN_LANG.".lang.php");
       } else {
         require_once($MODULE_FOLDER.$module['Keyword']."/en.lang.php");
       }
     }
     include($ADMIN_FOLDER."modules/module_list.inc.php");
?>

</head>


<body class='admin_form'>
<?

$is_supervisor = ($perm->isSupervisor() || $perm->isManager());

$security_limit = "";

if (!$is_supervisor) { // /  , :
  /**
    * id ,    
    */
  $site_admin = $perm->listItems('catalogue');
  /**
    * id ,    
    */
  $sub_admin = $perm->listItems('subdivision');
  /**
    * id   ,    
    */
  $cc_admin = $perm->listItems('subclass');

  /**
    * id ,    (  $site_admin,
    * $sub_admin, $cc_admin)
    */
  $allowed_sites = array();

  if ($site_admin) { $allowed_sites = $site_admin; }

  if ($sub_admin) {
    $res = $db->get_results("SELECT Catalogue_ID FROM Subdivision
                               WHERE Subdivision_ID IN (".join(', ', $sub_admin).")", ARRAY_A);
    foreach ((array)$res as $row) {
      $allowed_sites[] = $row['Catalogue_ID'];
    }
  }
  if ($cc_admin) {
    $res = $db->get_results("SELECT Catalogue_ID FROM Sub_Class
                             WHERE Sub_Class_ID IN (".join(', ', $cc_admin).")", ARRAY_A);
    foreach ((array)$res as $row) {
      $allowed_sites[] = $row['Catalogue_ID'];
    }
  }
  $security_limit = " WHERE Catalogue_ID IN (".join(",", array_unique($allowed_sites)).")";
}

if (!$is_supervisor) {
  $favorites_site = array();
  $favorites_sub = array();
  $favorites_cc = array();
  if ($site_admin) {
    $favorites_site = $db->get_results("SELECT sub.Subdivision_ID,
                                               sub.Subdivision_Name,
                                               sub.Catalogue_ID,
                                               catalogue.Catalogue_Name,
                                               sub.Checked AS SubChecked,
                                               catalogue.Checked AS CatalogueChecked
                                          FROM Subdivision AS sub
                                     LEFT JOIN Catalogue AS catalogue ON catalogue.Catalogue_ID = sub.Catalogue_ID
                                         WHERE Favorite = '1'
                                           AND Catalogue_ID IN (".join(",", $site_admin).")
                                      ORDER BY Catalogue_ID,
                                               Subdivision_ID", ARRAY_A);
  }
  if ($sub_admin) {
    $favorites_sub = $db->get_results("SELECT sub.Subdivision_ID,
                                              sub.Subdivision_Name,
                                              sub.Catalogue_ID,
                                              catalogue.Catalogue_Name,
                                              sub.Checked AS SubChecked,
                                              catalogue.Checked AS CatalogueChecked
                                         FROM Subdivision AS sub
                                    LEFT JOIN Catalogue AS catalogue ON catalogue.Catalogue_ID = sub.Catalogue_ID
                                        WHERE Favorite = '1' AND
                                              Subdivision_ID IN (".join(', ', $sub_admin).")
                                     ORDER BY Catalogue_ID,
                                              Subdivision_ID", ARRAY_A);
  }
  if ($cc_admin) {
    $favorites_cc = $db->get_results("SELECT sub.Subdivision_ID,
                                             sub.Subdivision_Name,
                                             sub.Catalogue_ID,
                                             catalogue.Catalogue_Name,
                                             sub.Checked AS SubChecked,
                                             catalogue.Checked AS CatalogueChecked
                                        FROM Sub_Class as cc
                                   LEFT JOIN Subdivision as sub ON sub.Subdivision_ID = cc.Subdivision_ID
                                   LEFT JOIN Catalogue AS catalogue ON catalogue.Catalogue_ID = sub.Catalogue_ID
                                       WHERE Favorite = '1' AND
                                             cc.Sub_Class_ID IN (".join(', ', $cc_admin).")
                                    ORDER BY Catalogue_ID,
                                             Subdivision_ID", ARRAY_A);
  }
  $favorites = array_merge((array)$favorites_site, (array)$favorites_sub, (array)$favorites_cc);
} else {
  $favorites = $db->get_results("SELECT sub.Subdivision_ID,
                                        sub.Subdivision_Name,
                                        sub.Catalogue_ID,
                                        catalogue.Catalogue_Name,
                                        sub.Checked AS SubChecked,
                                        catalogue.Checked AS CatalogueChecked
                                   FROM Subdivision AS sub
                              LEFT JOIN Catalogue AS catalogue ON catalogue.Catalogue_ID = sub.Catalogue_ID
                                  WHERE sub.Favorite = '1'
                               ORDER BY Catalogue_ID,
                                        Subdivision_ID", ARRAY_A);
}

  echo "<table border='0' width=100% id='main_page_table'>\n";
  echo "<tr>\n";
  echo "<td width=48%>\n";

  echo "<div class='main_page_text'>\n";
  echo "\t<div class='block_title'>\n";
  echo "\t\t<img src='skins/default/img/i_netcat_big.gif' alt='Netcat'>\n";
  echo "\t\t<span>".SECTION_INDEX_WELCOME."</span>\n";
  echo "\t</div>\n";
  echo "\t<div class='block_text'>\n";

  if ($perm->isGuest()) {
    $permission_name = BEGINHTML_PERM_GUEST;
  } else if ($perm->isDirector()) {
    $permission_name = BEGINHTML_PERM_DIRECTOR;
  } else if ($perm->isSupervisor()) {
    $permission_name = BEGINHTML_PERM_SUPERVISOR;
  } else if ($perm->isAnyCatalogueAdmin()) {
    $permission_name = BEGINHTML_PERM_CATALOGUEADMIN;
  } else if ($perm->isAnySubdivisionAdmin()) {
    $permission_name = BEGINHTML_PERM_SUBDIVISIONADMIN;
  } else if ($perm->isAnySubClassAdmin()) {
    $permission_name = BEGINHTML_PERM_SUBCLASSADMIN;
  }

  printf(SECTION_INDEX_WELCOME_MESSAGE, $perm->getLogin(), $PROJECT_NAME, $permission_name);
  echo "\t</div>\n";
  echo "</div>\n";
  echo "<br style='clear: both'>";
  
  echo "<div class='main_page_block'>\n";
  echo "\t<div class='block_title'>\n";
  echo "\t\t<img src='skins/default/img/i_favorites_big.gif' alt='".FAVORITE_HEADERTEXT."'>\n";
  echo "\t\t<span>".FAVORITE_HEADERTEXT."</span>\n";
  echo "\t</div>\n";
  if ($favorites) {
    $i = 0;
    foreach ($favorites as $favorite) {
      if ($catalogue != $favorite['Catalogue_ID']) {
        echo "\t<div class='block_title_line'><a href='subdivision/full.php?CatalogueID=".$favorite['Catalogue_ID']."'".(!$favorite['CatalogueChecked']?" class='gray'":"").">".$favorite['Catalogue_Name']."</a></div>\n";
        $catalogue = $favorite['Catalogue_ID'];
        $count++;
      }
      $subclass_id = $db->get_var("SELECT Sub_Class_ID
                                     FROM Sub_Class
                                    WHERE Subdivision_ID = '".$favorite['Subdivision_ID']."'
                                 ORDER BY Priority
                                    LIMIT 1");

      echo "\t<div class='".(($i%2 == 0)?"block_line_gray":"block_line")."'>\n";
      echo "\t\t<img src='skins/default/img/i_folder".(!$favorite['SubChecked']?"_disabled":"").".gif' alt='".$favorite['Subdivision_Name']."'>\n";
      echo "\t\t<span><a href='".($subclass_id?"../?inside_admin=1&cc=$subclass_id":"subdivision/SubClass.php?phase=1&SubdivisionID=".$favorite['Subdivision_ID'])."' title='".$favorite['Subdivision_Name']."'".(!$favorite['SubChecked']?" class='gray'":"").">".$favorite['Subdivision_Name']."</a></span>\n";
      echo "\t\t<div class='block_line_link'><a href='".($subclass_id?"../add.php?inside_admin=1&cc=$subclass_id":"subdivision/SubClass.php?phase=1&SubdivisionID=".$favorite['Subdivision_ID'])."'><img border='0' src='skins/default/img/i_".($subclass_id?"obj":"template")."_add".(!$favorite['SubChecked']?"_disabled":"").".gif' alt='".TOOLS_MODULES_MOD_PREFS."' title='".TOOLS_MODULES_MOD_PREFS."'></a></div>\n";
      echo "\t</div>\n";

      $i++;
    }
  } else {
    echo "\t<div class='block_line_gray'>\n";
    echo "\t\t<span>".CONTROL_CONTENT_SUBDIVISION_FUNCS_NOONEFAVORITES."</span>\n";
    echo "\t</div>\n";
  }
  
  echo "</div>\n";

  echo "<br style='clear: both;'>";
 
  echo "<div class='main_page_text main_right'>\n";
  echo "\t<div class='block_text'>\n";
//  echo "\t\t<img src='skins/default/img/i_sitemap.gif' alt='".SECTION_INDEX_FAVORITE_ANOTHER_SUB."'>";
//  echo "\t\t<span><a href='#' onclick=\"window.open('/netcat/admin/subdivision/favorites.php?phase=4','LIST','top=50, left=100,directories=no,height=600,location=no,menubar=no,resizable=no,scrollbars=yes,status=yes,toolbar=no,width=400')\">".SECTION_INDEX_FAVORITE_ANOTHER_SUB."</a></span>\n";
  echo "\t\t<div class='block_line_link'><a href='subdivision/favorites.php?phase=1'><img border='0' src='skins/default/img/i_settings.gif' alt='".SECTION_INDEX_FAVORITE_SETTINGS."' title='".SECTION_INDEX_FAVORITE_SETTINGS."'>&nbsp;".SECTION_INDEX_FAVORITE_SETTINGS."</a></div>\n";
  echo "\t</div>\n";
  echo "</div>\n";
  
  echo "</td>";
  echo "<td width=20>&nbsp;</td>";
  echo "<td width=48%>";

  echo "<div class='main_page_text'>\n";
  echo "\t<div class='block_title'>\n";
  echo "\t\t<img src='skins/default/img/i_info_big.gif' alt='".SECTION_INDEX_ADMIN_PATCHES_INFO."'>\n";
  echo "\t\t<span>".SECTION_INDEX_ADMIN_PATCHES_INFO."</span>\n";
  echo "\t</div>\n";

  echo "\t<div class='block_text'>\n";
  echo "\t\t".SECTION_INDEX_ADMIN_PATCHES_INFO_VERSION.": <b>".$VERSION_ID."</b><br>";
  if ($LAST_LOCAL_PATCH) echo "\t\t".SECTION_INDEX_ADMIN_PATCHES_INFO_LAST_PATCH."#: <b>".$LAST_LOCAL_PATCH."</b><br>";
  echo "\t\t".SECTION_INDEX_ADMIN_PATCHES_INFO_LAST_PATCH_DATE.": <b>".$PATCH_CHECK_DATE."</b><br><br>";
  echo "\t\t<img src='skins/default/img/i_tool_patch.gif' alt='".SECTION_INDEX_ADMIN_PATCHES_INFO_CHECK_PATCH."'>";
  echo "<span><a href='patch/?phase=3'>".SECTION_INDEX_ADMIN_PATCHES_INFO_CHECK_PATCH."</a></span>";
  echo "\t</div>\n";

  echo "</div>\n";

  echo "<br style='clear: both'>";

  if ($is_supervisor) {

  echo "<div class='main_page_block'>\n";
  echo "\t<div class='block_title'>\n";
  echo "\t<img src='skins/default/img/i_modules_big.gif' alt='".NETCAT_MODULES."'>\n";
  echo "\t<span>".NETCAT_MODULES."</span>\n";
  echo "\t</div>\n";

  $have_modules="";
  if ($modules = $db->get_results("SELECT Module_ID,Module_Name,Keyword FROM Module")) {
    $i = 0;
    foreach ( (array)$modules as $module ) {
      $have_modules[$module->Keyword] = 1;
    
      echo "\t<div class='".(($i%2 == 0)?"block_line_gray":"block_line")."'>\n";
	  $modImg = file_exists("skins/default/img/i_module_".$module->Keyword.".gif") ? "i_module_".$module->Keyword.".gif" : "i_modules.gif";
      echo "\t\t<img src='skins/default/img/".$modImg."' alt='".constant($module->Module_Name)."'>\n";
      echo "\t\t<span><a href='".(file_exists($MODULE_FOLDER.$module->Keyword."/admin.php")?"../modules/".$module->Keyword."/admin.php":"modules/index.php?phase=2&module_name=".$module->Keyword)."' title='".constant($module->Module_Name)."'>".constant($module->Module_Name)."</a></span>\n";
      echo "\t\t<div class='block_line_link'><a href='modules/index.php?phase=2&module_name=".$module->Keyword."'><img border='0' src='skins/default/img/i_settings.gif' alt='".TOOLS_MODULES_MOD_PREFS."' title='".TOOLS_MODULES_MOD_PREFS."'></a></div>\n";
      echo "\t</div>\n";
    
      $i++;
	  unset($modImg);
    }
  }

  $pre_modules_must_have="\t<div class='block_unordered'><span>".SECTION_INDEX_MODULES_MUSTHAVE."</span></div>";
  foreach ($real_modules as $key => $real_module) {
    if (!$have_modules[$key] && $key!='eshop') {
      $modules_must_have .= "\t<div class='".(($i%2 == 0)?"block_line_gray":"block_line")." unordered'>\n";
      $modules_must_have .= "\t\t<img src='skins/default/img/i_module_".$key."_gray.gif' alt='".$real_module."'>\n";
      $modules_must_have .= "\t\t<span>".$real_module."</span>\n";
      $modules_must_have .= "\t\t<div class='block_line_link'><a href='http://netcat.ru/dealers/buynow/' target='_blank'>".SECTION_INDEX_MODULES_BUY."</a></div>\n";
      $modules_must_have .= "\t</div>\n";
    
      $i++;
    }
  }
  if ($modules_must_have) echo $pre_modules_must_have.$modules_must_have;

  echo "</div>\n";

  }

  echo "</td>";
  echo "</tr>";
  echo "</table>"; 
  
  

  $UI_CONFIG = new ui_config(array(
                              'headerText' => SECTION_INDEX_TITLE,
                              'headerImage' => 'i_netcat_big.gif',
                              'tabs' => array(array('id'=>'welcame', 'caption'=>SECTION_INDEX_TITLE)),
                              'activeTab' => 'welcame',

                              'treeMode' => 'sitemap',
                              'locationHash' => "index",
                           ));
    global $UI_CONFIG;
    if (is_object($UI_CONFIG) && method_exists($UI_CONFIG, 'to_json')) { print $UI_CONFIG->to_json(); }
?>
</body>
</html>