<?
/* $Id: function.inc.php,v 1.11 2007/11/20 14:08:48 chelout Exp $ */

###############################################################

function InstallationAborted ()
{
    global $TMP_FOLDER;

    print TOOLS_MODULES_ERR_INSTALL.".<br>\n";
    DeleteFilesInDirectory ($TMP_FOLDER);
    EndHtml ();
    exit;
}

###############################################################

function UninstallationAborted ()
{
    global $TMP_FOLDER;

    print TOOLS_MODULES_ERR_UNINSTALL.".<br>\n";
    DeleteFilesInDirectory ($TMP_FOLDER);
    EndHtml ();
    exit;
}

#########################
#    :)
########################
function GetSiteLang ($CatalogueID)
{
    global $db;

	if ($CatalogueID)
	{
		$res=$db->get_var("SELECT Language FROM Catalogue WHERE Catalogue_ID='".$CatalogueID."' LIMIT 1");
		if(!is_null($res))
		{
			return($res);
		}
		else
		{
			return(false);
		}
	}
	else
	{
		$current_catalogue = $db->get_row("SELECT * FROM Catalogue LIMIT 1",ARRAY_A);
		if ($current_catalogue['Language'])
			return($current_catalogue['Language']);
		else
			return(false);
	}
}

###############################################################

function LoadID ()
{
    global $TMP_FOLDER;
    global $Keyword, $SystemVersion, $SystemID, $Patch, $Name;
    global $ExampleURL, $HelpURL, $Description, $Parameters, $SysMessage;

    $FileID = "id.txt";
    $fp = fopen ($TMP_FOLDER.$FileID, "r");
    $Keyword = chop (fgets($fp, 4096));
    $SystemID = chop (fgets($fp, 4096));
    $SystemVersion = chop (fgets($fp, 4096));
    $Patches = chop (fgets($fp, 4096));

    $tok = strtok($Patches," ");
    while ($tok)
    {
        $Patch [] = $tok;
        $tok = strtok(" ");
    }

    $Name = chop (fgets($fp, 4096));
    $ExampleURL = chop (fgets($fp, 4096));
    $HelpURL = chop (fgets($fp, 4096));
    $Description = chop (fgets($fp, 4096));

    fclose ($fp);

    $FileParam = "parameters.txt";
    $fp = fopen ($TMP_FOLDER.$FileParam, "r");
    while (!feof ($fp))
    {
        $Parameters .= fgets($fp, 4096);
    }
    fclose ($fp);
    if (MAIN_LANG!="ru")
    {
        $SysMessage = join("",@file($TMP_FOLDER."message_int.txt"));
    }
    else
    {
        $SysMessage = join("",@file($TMP_FOLDER."message.txt"));
    }

}

###############################################################

function CopyFiles () {
    global $TMP_FOLDER, $MODULE_FOLDER, $ROOT_FOLDER, $DOCUMENT_ROOT;
    global $Keyword;

    @mkdir ($MODULE_FOLDER.$Keyword, 0775);

    copy ($TMP_FOLDER."index.php", $MODULE_FOLDER.$Keyword."/index.php");
    copy ($TMP_FOLDER."function.inc.php", $MODULE_FOLDER.$Keyword."/function.inc.php");
    copy ($TMP_FOLDER."en.lang.php", $MODULE_FOLDER.$Keyword."/en.lang.php");
    copy ($TMP_FOLDER."ru.lang.php", $MODULE_FOLDER.$Keyword."/ru.lang.php");

    if(is_readable($TMP_FOLDER."admin.php"))	copy ($TMP_FOLDER."admin.php", $MODULE_FOLDER.$Keyword."/admin.php");
    if(is_readable($TMP_FOLDER."admin.inc.php"))	copy ($TMP_FOLDER."admin.inc.php", $MODULE_FOLDER.$Keyword."/admin.inc.php");
    if(is_readable($TMP_FOLDER."setup.php"))	copy ($TMP_FOLDER."setup.php", $MODULE_FOLDER.$Keyword."/setup.php");

    $FileList = "files.txt";
    $fp = fopen ($TMP_FOLDER.$FileList, "r");
    while (!feof ($fp)) {
        $file_name = chop (fgets($fp, 4096));
        if (strlen ($file_name) == 0) break;
        copy ($TMP_FOLDER.$file_name, $MODULE_FOLDER.$Keyword."/".basename($file_name));
    }
    fclose ($fp);

}

###############################################################

function CheckFiles ()
{
    global $TMP_FOLDER;

    if (!is_readable ($TMP_FOLDER."id.txt") )
    {
        print TOOLS_MODULES_ERR_CANTOPEN." id.txt.<br>\n";
        InstallationAborted ();
    }

    if (!is_readable ($TMP_FOLDER."sql.txt") )
    {
        print TOOLS_MODULES_ERR_CANTOPEN." sql.txt.<br>\n";
        InstallationAborted ();
    }

    if (!is_readable ($TMP_FOLDER."sql_int.txt") )
    {
        print TOOLS_MODULES_ERR_CANTOPEN." sql_int.txt.<br>\n";
        InstallationAborted ();
    }

    if (!is_readable ($TMP_FOLDER."files.txt") )
    {
        print TOOLS_MODULES_ERR_CANTOPEN." files.txt.<br>\n";
        InstallationAborted ();
    }

    if (!is_readable ($TMP_FOLDER."parameters.txt") )
    {
        print TOOLS_MODULES_ERR_CANTOPEN." parameters.txt.<br>\n";
        InstallationAborted ();
    }

    if (!is_readable ($TMP_FOLDER."index.php") )
    {
        print TOOLS_MODULES_ERR_CANTOPEN." index.php.<br>\n";
        InstallationAborted ();
    }

    if (!is_readable ($TMP_FOLDER."install.php") )
    {
        print TOOLS_MODULES_ERR_CANTOPEN." install.php.<br>\n";
        InstallationAborted ();
    }

    if (!is_readable ($TMP_FOLDER."function.inc.php") )
    {
        print TOOLS_MODULES_ERR_CANTOPEN." function.inc.php.<br>\n";
        InstallationAborted ();
    }

    if (!is_readable ($TMP_FOLDER."en.lang.php") )
    {
        print TOOLS_MODULES_ERR_CANTOPEN." en.lang.php.<br>\n";
        InstallationAborted ();
    }

    if (!is_readable ($TMP_FOLDER."ru.lang.php") )
    {
        print TOOLS_MODULES_ERR_CANTOPEN." ru.lang.php.<br>\n";
        InstallationAborted ();
    }

    if (MAIN_LANG!="ru")
    {
        if (!is_readable ($TMP_FOLDER."message_int.txt") )
        {
            print TOOLS_MODULES_ERR_CANTOPEN." message_int.txt.<br>";
            InstallationAborted ();
        }
    }
    else
    {
        if (!is_readable ($TMP_FOLDER."message.txt") )
        {
            print TOOLS_MODULES_ERR_CANTOPEN." message.txt.<br>";
            InstallationAborted ();
        }
    }
}

###############################################################

function CheckDeps ()
{
    global $TMP_FOLDER, $db;
    global $Patch;

    $ReturnValue = 1;
    LoadID ();
    if (!count($Patch))
    {
        return $ReturnValue;
    }
    $select = "select * from Patch";
    $Array = $db->get_results ($select, ARRAY_A);

    while (list ($key, $val) = each ($Patch) )
    {
        #echo "$key=$val<br>";
        $cmp = 0;
        for ($i=0; $i<count($Array); $i++)
        {
            if ( strcmp ($Array[$i]["Patch_Name"],$val) == 0 )
            {
                $cmp++;
                break;
            }
        }
        if ($cmp == 0)
        {
            print TOOLS_MODULES_ERR_PATCH." ".$val.".<br>\n";
            $ReturnValue = 0;
        }
    }

    return $ReturnValue;

}

###############################################################

function IsAlreadyInstalled ()
{
    global $TMP_FOLDER, $db;
    global $Keyword;

    $select = "select Keyword from Module where Keyword='".$Keyword."'";
    $Result = $db->query ($select);
    if ( $db->num_rows > 0 )
    {
        return 1;
    }
    return 0;
}

###############################################################

function ModuleList ()
{
    global $db;
    global $DOMAIN_NAME, $HTTP_ROOT_PATH, $MODULE_FOLDER;

    if ($Result = $db->get_results ("select Module_ID,Module_Name,Description,Keyword,Installed from Module", ARRAY_A) )
    {
    ?>
    <table border=0 cellpadding=0 cellspacing=0 width=100%><tr><td bgcolor=cccccc>

    <table border=0 cellpadding=4 cellspacing=1 width=100%>
    <tr>
    <td bgcolor=eeeeee><font size=-2><b>ID</td>
    <td bgcolor=eeeeee width=80%><font size=-2><b><?=TOOLS_MODULES_MOD_NAME?></b></td>
    <td bgcolor=eeeeee align=center><font size=-2><b><?=TOOLS_MODULES_MOD_PREFS?></b></td>
    </tr>
    <?

    foreach ($Result as $Array  )
    {

        $keyword=$Array["Keyword"];

        if ($Array["Keyword"]!='default')
        {
            if(file_exists($MODULE_FOLDER.$keyword."/".MAIN_LANG.".lang.php"))
            {
                require_once($MODULE_FOLDER.$keyword."/".MAIN_LANG.".lang.php");
            }
            else
            {
                require_once($MODULE_FOLDER.$keyword."/en.lang.php");
            }
        }


        $str = "<tr><td bgcolor=white><font size=-2><b>".$Array["Module_ID"]."</td>".
        "<td bgcolor=white><table border=0 cellpadding=0 cellspacing=0 width=100%><tr><td>".(file_exists($MODULE_FOLDER.$Array["Keyword"]."/admin.php")?"<a href=/netcat/modules/".$Array["Keyword"]."/admin.php>":"").constant($Array["Module_Name"]).(file_exists($MODULE_FOLDER.$keyword."/admin.php")?"</a>":"")."</td><td align=right>".((file_exists($MODULE_FOLDER.$keyword."/setup.php") && ($Array["Installed"]=="0"))?"<a href=http://".$DOMAIN_NAME.$HTTP_ROOT_PATH."modules/".$keyword."/setup.php><font size=-2 color=cc3300><b>".TOOLS_MODULES_MOD_GOINSTALL." &raquo;":"")."</td></tr></table></td>".
        "<td align=center bgcolor=white><a href=\"index.php?phase=2&&module_name=".$keyword."\"><img border=0 src='../skins/default/img/i_settings.gif' width='16' height='16' alt='".TOOLS_MODULES_MOD_EDIT."' title='".TOOLS_MODULES_MOD_EDIT."'></a></td>";

        print($str);
        unset($str);

    }
    print "</table></td></tr></table>";
    }

}

###############################################################

function ModuleUpdateForm ($ModuleID)
{
    global $db, $MODULE_FOLDER;


    $select  = "select Module_ID,Module_Name,Description,Keyword,Parameters,";
    $select .= "Subdivision_ID,Example_URL,Help_URL from Module where Module_ID=".$ModuleID;
    $Array = $db->get_row($select,ARRAY_A);

    $keyword=$Array["Keyword"];

    if ($Array["Keyword"]!='default') {
        if(file_exists($MODULE_FOLDER.$keyword."/".MAIN_LANG.".lang.php")) {
            require_once($MODULE_FOLDER.$keyword."/".MAIN_LANG.".lang.php");
        } else {
            require_once($MODULE_FOLDER.$keyword."/en.lang.php");
        }
    }

 ?>
 <form method=post action=index.php>
<font color=gray>
<?=NETCAT_MODULES_NAME?>: <b><?=constant($Array["Module_Name"])?></b><br><br>
<?=constant($Array["Description"])?><hr size=1 color=cccccc>
<?=NETCAT_MODULES_PARAMS?>:<br>
<TEXTAREA ROWS=20 COLS=60 NAME=Parameters><?=$Array["Parameters"]?></TEXTAREA>
  <?
  print "<INPUT TYPE=HIDDEN NAME=ModuleID VALUE=".$ModuleID.">\n";
  print "<input type=hidden name=phase value=3>";

  global $UI_CONFIG, $module_name;
  print "<input type='hidden' name='module_name' value='$module_name'>";
  $UI_CONFIG = new ui_config_module($module_name, 'settings');

  $UI_CONFIG->actionButtons[] = array("id" => "submit",
                                              "caption" => CONTROL_CONTENT_CATALOUGE_FUNCS_CATALOGUEFORM_SAVE,
                                              "action" => "mainView.submitIframeForm()");

  ?>

  </form>

 <?

}

###############################################################

function AddModuleForm () {
  global $db, $UI_CONFIG;

  echo "<form enctype='multipart/form-data' action='index.php' method='POST''>";
  echo "<input type='hidden' name='MAX_FILE_SIZE' value='1000000'>";
  echo "<fieldset>";
  echo "<legend><b>".TOOLS_MODULES_MOD_LOCAL."</b></legend>";
  echo "<input size='60' name='FilePatch' type='file'>";
  echo "</fieldset>";
  echo "<input type='hidden' name='phase' value='4'>";
  echo "</form>";
  $UI_CONFIG->actionButtons[] = array("id" => "submit",
                                      "caption" => CONTROL_CLASS_IMPORT_UPLOAD,
                                      "action" => "mainView.submitIframeForm()");

}

###############################################################

function ModuleUpdateCompleted ()
{
    global $db;

    foreach ($_POST as $key => $val) eval("global \$".$key.";");

    $SubdivisionID += 0;

    $update  = "UPDATE
					Module
				SET
					Subdivision_ID='".$SubdivisionID."',
					Parameters='".$Parameters."'
				WHERE
					Module_ID=".$ModuleID."
				";

    $Result = $db->query ($update);
    nc_print_status(TOOLS_MODULES_PREFS_SAVED, 'ok');

}

###############################################################

function TitleModule ()
{
    global $perm, $PLUGS_INSTALL_TYPE;

    if ( ($perm->isSupervisor() || $perm->isGuest()) && $PLUGS_INSTALL_TYPE=="int") AddModuleForm ();
    elseif ($PLUGS_INSTALL_TYPE=="ext") echo TOOLS_MODULES_MOD_INSTALL_EXT."<br><br>";
    ModuleList ();
}


###############################################################
/*
function recursive_listdir($base) {
    static $filelist = array();
    static $dirlist = array();

    if(is_dir($base)) {
        $dh = opendir($base);
        while (false !== ($dir = readdir($dh))) {
            if (is_dir($base ."\\". $dir) && $dir !== '.' && $dir !== '..') {
                $subbase = $base ."\\". $dir;
                $dirlist[] = $subbase;
                $subdirlist = recursive_listdir($subbase);
            } elseif(is_file($base ."\\". $dir) && $dir !== '.' && $dir !== '..') {
                $filelist[] = $base ."\\". $dir;
            }
        }
        closedir($dh);
    }
    $array[dirs] = $dirlist;
    $array[files] = $filelist;
    return $array;
}
*/




?>