<?php

ob_start("ob_gzhandler");

define("NC_ADMIN_ASK_PASSWORD", false);

require_once ("../../vars.inc.php");
require ("../function.inc.php");

/*
 *   ,       
 */

if (!$perm->isSupervisor()) {
  exit(NETCAT_MODERATION_ERROR_NORIGHT);
}

//echo $node;

list($node_type, $node_id) = explode("-", $node);

if ($node_type == 'root') {
  $modules = $db->get_results("SELECT Module_ID, Module_Name, Description, Keyword, Installed FROM Module", ARRAY_A);
  foreach($modules as $module) {

    if(file_exists($MODULE_FOLDER.$module['Keyword']."/".MAIN_LANG.".lang.php")) {
      require_once($MODULE_FOLDER.$module['Keyword']."/".MAIN_LANG.".lang.php");
    } else {
      require_once($MODULE_FOLDER.$module['Keyword']."/en.lang.php");
    }
    
    $ret_modules[] = array("nodeId" => "module-$module[Module_ID]",
                           "name" => constant($module["Module_Name"]),
                           "href" => file_exists($MODULE_FOLDER.$module["Keyword"]."/admin.php") ? "#module.{$module[Keyword]}" : "",
                           "image" => file_exists("../skins/default/img/i_module_".$module['Keyword'].".gif") ? "i_module_".$module['Keyword'].".gif" : "i_modules.gif",
                           "hasChildren" => false,
                           "dragEnabled" => false,
                           "buttons" => array(
                                          array("image" => "i_settings.gif",
                                                "label" => TOOLS_MODULES_MOD_PREFS,
                                                "href" => "module.settings($module[Keyword])")
                                              )
                          );
  }
  $ret = array_reverse($ret_modules);
  print nc_array_json($ret_modules);
  exit;
}


?>